// python wrapper for vtkTableFFT
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkTableFFT.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkTableFFT(PyObject *dict); }
extern "C" { PyObject *PyvtkTableFFT_ClassNew(); }


static const char *PyvtkTableFFT_Doc =
  "vtkTableFFT - FFT for table columns\n\n"
  "Superclass: vtkTableAlgorithm\n\n"
  "vtkTableFFT performs the Fast Fourier Transform on the columns of a\n"
  "table. It can perform the FFT per block in order to resample the\n"
  "input and have a smaller output, and also offer a interface for\n"
  "windowing the input signal.\n\n";


static PyObject *
PyvtkTableFFT_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkTableFFT::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkTableFFT::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkTableFFT *tempr = vtkTableFFT::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkTableFFT *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkTableFFT::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkTableFFT::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkTableFFT::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_GetNormalize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNormalize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetNormalize() :
      op->vtkTableFFT::GetNormalize());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_SetNormalize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNormalize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetNormalize(temp0);
    }
    else
    {
      op->vtkTableFFT::SetNormalize(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_NormalizeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NormalizeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->NormalizeOn();
    }
    else
    {
      op->vtkTableFFT::NormalizeOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_NormalizeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NormalizeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->NormalizeOff();
    }
    else
    {
      op->vtkTableFFT::NormalizeOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_GetAverageFft(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAverageFft");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetAverageFft() :
      op->vtkTableFFT::GetAverageFft());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_SetAverageFft(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAverageFft");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAverageFft(temp0);
    }
    else
    {
      op->vtkTableFFT::SetAverageFft(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_AverageFftOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AverageFftOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->AverageFftOn();
    }
    else
    {
      op->vtkTableFFT::AverageFftOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_AverageFftOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AverageFftOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->AverageFftOff();
    }
    else
    {
      op->vtkTableFFT::AverageFftOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_GetOptimizeForRealInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOptimizeForRealInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetOptimizeForRealInput() :
      op->vtkTableFFT::GetOptimizeForRealInput());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_SetOptimizeForRealInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOptimizeForRealInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetOptimizeForRealInput(temp0);
    }
    else
    {
      op->vtkTableFFT::SetOptimizeForRealInput(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_OptimizeForRealInputOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OptimizeForRealInputOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->OptimizeForRealInputOn();
    }
    else
    {
      op->vtkTableFFT::OptimizeForRealInputOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_OptimizeForRealInputOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OptimizeForRealInputOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->OptimizeForRealInputOff();
    }
    else
    {
      op->vtkTableFFT::OptimizeForRealInputOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_GetCreateFrequencyColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCreateFrequencyColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetCreateFrequencyColumn() :
      op->vtkTableFFT::GetCreateFrequencyColumn());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_SetCreateFrequencyColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCreateFrequencyColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetCreateFrequencyColumn(temp0);
    }
    else
    {
      op->vtkTableFFT::SetCreateFrequencyColumn(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_CreateFrequencyColumnOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateFrequencyColumnOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->CreateFrequencyColumnOn();
    }
    else
    {
      op->vtkTableFFT::CreateFrequencyColumnOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_CreateFrequencyColumnOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateFrequencyColumnOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->CreateFrequencyColumnOff();
    }
    else
    {
      op->vtkTableFFT::CreateFrequencyColumnOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_GetNumberOfBlock(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfBlock() :
      op->vtkTableFFT::GetNumberOfBlock());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_SetNumberOfBlock(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetNumberOfBlock(temp0);
    }
    else
    {
      op->vtkTableFFT::SetNumberOfBlock(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_GetBlockSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetBlockSize() :
      op->vtkTableFFT::GetBlockSize());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_SetBlockSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBlockSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetBlockSize(temp0);
    }
    else
    {
      op->vtkTableFFT::SetBlockSize(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_GetWindowingFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWindowingFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetWindowingFunction() :
      op->vtkTableFFT::GetWindowingFunction());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkTableFFT_SetWindowingFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWindowingFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTableFFT *op = static_cast<vtkTableFFT *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetWindowingFunction(temp0);
    }
    else
    {
      op->vtkTableFFT::SetWindowingFunction(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkTableFFT_Methods[] = {
  {"IsTypeOf", PyvtkTableFFT_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkTableFFT_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkTableFFT_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkTableFFT\nC++: static vtkTableFFT *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkTableFFT_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkTableFFT\nC++: vtkTableFFT *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkTableFFT_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBaseType(string) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkTableFFT_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBase(string) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNormalize", PyvtkTableFFT_GetNormalize, METH_VARARGS,
   "V.GetNormalize() -> bool\nC++: virtual bool GetNormalize()\n\nSpecify if the output should be normalized.\n\nDefault is false\n"},
  {"SetNormalize", PyvtkTableFFT_SetNormalize, METH_VARARGS,
   "V.SetNormalize(bool)\nC++: virtual void SetNormalize(bool _arg)\n\nSpecify if the output should be normalized.\n\nDefault is false\n"},
  {"NormalizeOn", PyvtkTableFFT_NormalizeOn, METH_VARARGS,
   "V.NormalizeOn()\nC++: virtual void NormalizeOn()\n\nSpecify if the output should be normalized.\n\nDefault is false\n"},
  {"NormalizeOff", PyvtkTableFFT_NormalizeOff, METH_VARARGS,
   "V.NormalizeOff()\nC++: virtual void NormalizeOff()\n\nSpecify if the output should be normalized.\n\nDefault is false\n"},
  {"GetAverageFft", PyvtkTableFFT_GetAverageFft, METH_VARARGS,
   "V.GetAverageFft() -> bool\nC++: virtual bool GetAverageFft()\n\nSpecify if the input should be split in multiple blocks to\ncompute an average fft across all blocks.\n\nDefault is false\n"},
  {"SetAverageFft", PyvtkTableFFT_SetAverageFft, METH_VARARGS,
   "V.SetAverageFft(bool)\nC++: virtual void SetAverageFft(bool)\n\nSpecify if the input should be split in multiple blocks to\ncompute an average fft across all blocks.\n\nDefault is false\n"},
  {"AverageFftOn", PyvtkTableFFT_AverageFftOn, METH_VARARGS,
   "V.AverageFftOn()\nC++: virtual void AverageFftOn()\n\nSpecify if the input should be split in multiple blocks to\ncompute an average fft across all blocks.\n\nDefault is false\n"},
  {"AverageFftOff", PyvtkTableFFT_AverageFftOff, METH_VARARGS,
   "V.AverageFftOff()\nC++: virtual void AverageFftOff()\n\nSpecify if the input should be split in multiple blocks to\ncompute an average fft across all blocks.\n\nDefault is false\n"},
  {"GetOptimizeForRealInput", PyvtkTableFFT_GetOptimizeForRealInput, METH_VARARGS,
   "V.GetOptimizeForRealInput() -> bool\nC++: virtual bool GetOptimizeForRealInput()\n\nSpecify if the filter should use the optimized discrete fourier\ntransform for real values. This will cause output columns to have\nfrom n to ((n / 2) + 1) rows.\n\nDefault is false\n"},
  {"SetOptimizeForRealInput", PyvtkTableFFT_SetOptimizeForRealInput, METH_VARARGS,
   "V.SetOptimizeForRealInput(bool)\nC++: virtual void SetOptimizeForRealInput(bool _arg)\n\nSpecify if the filter should use the optimized discrete fourier\ntransform for real values. This will cause output columns to have\nfrom n to ((n / 2) + 1) rows.\n\nDefault is false\n"},
  {"OptimizeForRealInputOn", PyvtkTableFFT_OptimizeForRealInputOn, METH_VARARGS,
   "V.OptimizeForRealInputOn()\nC++: virtual void OptimizeForRealInputOn()\n\nSpecify if the filter should use the optimized discrete fourier\ntransform for real values. This will cause output columns to have\nfrom n to ((n / 2) + 1) rows.\n\nDefault is false\n"},
  {"OptimizeForRealInputOff", PyvtkTableFFT_OptimizeForRealInputOff, METH_VARARGS,
   "V.OptimizeForRealInputOff()\nC++: virtual void OptimizeForRealInputOff()\n\nSpecify if the filter should use the optimized discrete fourier\ntransform for real values. This will cause output columns to have\nfrom n to ((n / 2) + 1) rows.\n\nDefault is false\n"},
  {"GetCreateFrequencyColumn", PyvtkTableFFT_GetCreateFrequencyColumn, METH_VARARGS,
   "V.GetCreateFrequencyColumn() -> bool\nC++: virtual bool GetCreateFrequencyColumn()\n\nSpecify if the filter should create a frequency column based on a\ncolumn named \"time\" (not case sensitive). An evenly-spaced time\narray is expected.\n\nDefault is false\n"},
  {"SetCreateFrequencyColumn", PyvtkTableFFT_SetCreateFrequencyColumn, METH_VARARGS,
   "V.SetCreateFrequencyColumn(bool)\nC++: virtual void SetCreateFrequencyColumn(bool _arg)\n\nSpecify if the filter should create a frequency column based on a\ncolumn named \"time\" (not case sensitive). An evenly-spaced time\narray is expected.\n\nDefault is false\n"},
  {"CreateFrequencyColumnOn", PyvtkTableFFT_CreateFrequencyColumnOn, METH_VARARGS,
   "V.CreateFrequencyColumnOn()\nC++: virtual void CreateFrequencyColumnOn()\n\nSpecify if the filter should create a frequency column based on a\ncolumn named \"time\" (not case sensitive). An evenly-spaced time\narray is expected.\n\nDefault is false\n"},
  {"CreateFrequencyColumnOff", PyvtkTableFFT_CreateFrequencyColumnOff, METH_VARARGS,
   "V.CreateFrequencyColumnOff()\nC++: virtual void CreateFrequencyColumnOff()\n\nSpecify if the filter should create a frequency column based on a\ncolumn named \"time\" (not case sensitive). An evenly-spaced time\narray is expected.\n\nDefault is false\n"},
  {"GetNumberOfBlock", PyvtkTableFFT_GetNumberOfBlock, METH_VARARGS,
   "V.GetNumberOfBlock() -> int\nC++: virtual int GetNumberOfBlock()\n\nOnly used if AverageFft is true\n\nSpecify the number of blocks to use when computing the average\nfft over the whole input sample array. If NumberOfBlock == 1, no\naverage is done and we only compute the fft on the first\nBlockSize samples of the input data.\n\nThis parameter is ignored if BlockSize is superior to the number\nof samples of the input array.\n\nDefault is 2.\n"},
  {"SetNumberOfBlock", PyvtkTableFFT_SetNumberOfBlock, METH_VARARGS,
   "V.SetNumberOfBlock(int)\nC++: virtual void SetNumberOfBlock(int _arg)\n\nOnly used if AverageFft is true\n\nSpecify the number of blocks to use when computing the average\nfft over the whole input sample array. If NumberOfBlock == 1, no\naverage is done and we only compute the fft on the first\nBlockSize samples of the input data.\n\nThis parameter is ignored if BlockSize is superior to the number\nof samples of the input array.\n\nDefault is 2.\n"},
  {"GetBlockSize", PyvtkTableFFT_GetBlockSize, METH_VARARGS,
   "V.GetBlockSize() -> int\nC++: virtual int GetBlockSize()\n\nOnly used if AverageFft is true\n\nSpecify the number of samples to use for each block. This should\nbe a power of 2. If not, the closest power of two will be used\nanyway.\n\nDefault is 1024\n"},
  {"SetBlockSize", PyvtkTableFFT_SetBlockSize, METH_VARARGS,
   "V.SetBlockSize(int)\nC++: virtual void SetBlockSize(int)\n\nOnly used if AverageFft is true\n\nSpecify the number of samples to use for each block. This should\nbe a power of 2. If not, the closest power of two will be used\nanyway.\n\nDefault is 1024\n"},
  {"GetWindowingFunction", PyvtkTableFFT_GetWindowingFunction, METH_VARARGS,
   "V.GetWindowingFunction() -> int\nC++: virtual int GetWindowingFunction()\n\nSpecify the windowing function to apply on the input. If\nAverageFft is true the windowing function will be applied per\nblock and not on the whole input\n\nDefault is RECTANGULAR (does nothing).\n"},
  {"SetWindowingFunction", PyvtkTableFFT_SetWindowingFunction, METH_VARARGS,
   "V.SetWindowingFunction(int)\nC++: virtual void SetWindowingFunction(int)\n\nSpecify the windowing function to apply on the input. If\nAverageFft is true the windowing function will be applied per\nblock and not on the whole input\n\nDefault is RECTANGULAR (does nothing).\n"},
  {nullptr, nullptr, 0, nullptr}
};

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkTableFFT_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkFiltersGeneral.vtkTableFFT", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkTableFFT_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkTableFFT_StaticNew()
{
  return vtkTableFFT::New();
}

PyObject *PyvtkTableFFT_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkTableFFT_Type, PyvtkTableFFT_Methods,
    "vtkTableFFT",
 &PyvtkTableFFT_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindClassTypeObject("vtkTableAlgorithm");

  PyObject *d = pytype->tp_dict;
  PyObject *o;

  for (int c = 0; c < 6; c++)
  {
    static const struct { const char *name; int value; }
      constants[6] = {
        { "HANNING", vtkTableFFT::HANNING },
        { "BARTLETT", vtkTableFFT::BARTLETT },
        { "SINE", vtkTableFFT::SINE },
        { "BLACKMAN", vtkTableFFT::BLACKMAN },
        { "RECTANGULAR", vtkTableFFT::RECTANGULAR },
        { "MAX_WINDOWING_FUNCTION", vtkTableFFT::MAX_WINDOWING_FUNCTION },
      };

    o = PyInt_FromLong(constants[c].value);
    if (o)
    {
      PyDict_SetItemString(d, constants[c].name, o);
      Py_DECREF(o);
    }
  }

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkTableFFT(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkTableFFT_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkTableFFT", o) != 0)
  {
    Py_DECREF(o);
  }

}

