// python wrapper for vtkCPPythonScriptV2Helper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkCPPythonScriptV2Helper.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkCPPythonScriptV2Helper(PyObject *dict); }
extern "C" { PyObject *PyvtkCPPythonScriptV2Helper_ClassNew(); }


static const char *PyvtkCPPythonScriptV2Helper_Doc =
  "vtkCPPythonScriptV2Helper - an internal class encapsulating logic for\nCatalyst Python scripts.\n\n"
  "Superclass: vtkObject\n\n"
  "This class is an internal helper to share code between\n"
  "`vtkInSituPipelinePython` and `vtkCPPythonScriptV2Pipeline`.\n\n";


static PyObject *
PyvtkCPPythonScriptV2Helper_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkCPPythonScriptV2Helper::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkCPPythonScriptV2Helper::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkCPPythonScriptV2Helper *tempr = vtkCPPythonScriptV2Helper::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkCPPythonScriptV2Helper *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkCPPythonScriptV2Helper::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkCPPythonScriptV2Helper::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkCPPythonScriptV2Helper::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_PrepareFromScript(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PrepareFromScript");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  std::string temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    bool tempr = (ap.IsBound() ?
      op->PrepareFromScript(temp0) :
      op->vtkCPPythonScriptV2Helper::PrepareFromScript(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_IsImported(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsImported");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->IsImported() :
      op->vtkCPPythonScriptV2Helper::IsImported());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_Import_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Import");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  std::vector<std::string> temp0(ap.GetArgSize(0));
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0, 1) &&
      (ap.NoArgsLeft() || ap.GetArray(temp0.data(), temp0.size())))
  {
    bool tempr = (ap.IsBound() ?
      op->Import(temp0) :
      op->vtkCPPythonScriptV2Helper::Import(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkCPPythonScriptV2Helper_Import_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Import");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  vtkCPDataDescription *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkCPDataDescription"))
  {
    bool tempr = (ap.IsBound() ?
      op->Import(temp0) :
      op->vtkCPPythonScriptV2Helper::Import(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkCPPythonScriptV2Helper_Import_Methods[] = {
  {nullptr, PyvtkCPPythonScriptV2Helper_Import_s1, METH_VARARGS,
   "@|T s"},
  {nullptr, PyvtkCPPythonScriptV2Helper_Import_s2, METH_VARARGS,
   "@V *vtkCPDataDescription"},
  {nullptr, nullptr, 0, nullptr}
};

static PyObject *
PyvtkCPPythonScriptV2Helper_Import(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkCPPythonScriptV2Helper_Import_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 0:
      return PyvtkCPPythonScriptV2Helper_Import_s1(self, args);
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "Import");
  return nullptr;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_CatalystInitialize_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CatalystInitialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->CatalystInitialize() :
      op->vtkCPPythonScriptV2Helper::CatalystInitialize());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkCPPythonScriptV2Helper_CatalystInitialize_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CatalystInitialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  vtkCPDataDescription *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkCPDataDescription"))
  {
    bool tempr = (ap.IsBound() ?
      op->CatalystInitialize(temp0) :
      op->vtkCPPythonScriptV2Helper::CatalystInitialize(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkCPPythonScriptV2Helper_CatalystInitialize(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 0:
      return PyvtkCPPythonScriptV2Helper_CatalystInitialize_s1(self, args);
    case 1:
      return PyvtkCPPythonScriptV2Helper_CatalystInitialize_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "CatalystInitialize");
  return nullptr;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_CatalystFinalize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CatalystFinalize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->CatalystFinalize() :
      op->vtkCPPythonScriptV2Helper::CatalystFinalize());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_CatalystExecute_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CatalystExecute");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  int temp0;
  double temp1;
  std::vector<std::string> temp2(ap.GetArgSize(2));
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2, 3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      (ap.NoArgsLeft() || ap.GetArray(temp2.data(), temp2.size())))
  {
    bool tempr = (ap.IsBound() ?
      op->CatalystExecute(temp0, temp1, temp2) :
      op->vtkCPPythonScriptV2Helper::CatalystExecute(temp0, temp1, temp2));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkCPPythonScriptV2Helper_CatalystExecute_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CatalystExecute");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  vtkCPDataDescription *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkCPDataDescription"))
  {
    bool tempr = (ap.IsBound() ?
      op->CatalystExecute(temp0) :
      op->vtkCPPythonScriptV2Helper::CatalystExecute(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkCPPythonScriptV2Helper_CatalystExecute(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 2:
    case 3:
      return PyvtkCPPythonScriptV2Helper_CatalystExecute_s1(self, args);
    case 1:
      return PyvtkCPPythonScriptV2Helper_CatalystExecute_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "CatalystExecute");
  return nullptr;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_RequestDataDescription(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RequestDataDescription");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  vtkCPDataDescription *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkCPDataDescription"))
  {
    bool tempr = (ap.IsBound() ?
      op->RequestDataDescription(temp0) :
      op->vtkCPPythonScriptV2Helper::RequestDataDescription(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_GetActiveInstance(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetActiveInstance");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    vtkCPPythonScriptV2Helper *tempr = vtkCPPythonScriptV2Helper::GetActiveInstance();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_RegisterExtractor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterExtractor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  vtkSMProxy *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
  {
    if (ap.IsBound())
    {
      op->RegisterExtractor(temp0);
    }
    else
    {
      op->vtkCPPythonScriptV2Helper::RegisterExtractor(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_RegisterView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  vtkSMProxy *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
  {
    if (ap.IsBound())
    {
      op->RegisterView(temp0);
    }
    else
    {
      op->vtkCPPythonScriptV2Helper::RegisterView(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_SetOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  vtkSMProxy *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
  {
    if (ap.IsBound())
    {
      op->SetOptions(temp0);
    }
    else
    {
      op->vtkCPPythonScriptV2Helper::SetOptions(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_GetOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkSMProxy *tempr = (ap.IsBound() ?
      op->GetOptions() :
      op->vtkCPPythonScriptV2Helper::GetOptions());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_GetDataDescription(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataDescription");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkCPDataDescription *tempr = (ap.IsBound() ?
      op->GetDataDescription() :
      op->vtkCPPythonScriptV2Helper::GetDataDescription());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_GetTrivialProducer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTrivialProducer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    vtkSMProxy *tempr = (ap.IsBound() ?
      op->GetTrivialProducer(temp0) :
      op->vtkCPPythonScriptV2Helper::GetTrivialProducer(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_GetArgumentsAsStringList(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetArgumentsAsStringList");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkStringList *tempr = (ap.IsBound() ?
      op->GetArgumentsAsStringList() :
      op->vtkCPPythonScriptV2Helper::GetArgumentsAsStringList());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCPPythonScriptV2Helper_GetParametersAsStringList(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParametersAsStringList");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCPPythonScriptV2Helper *op = static_cast<vtkCPPythonScriptV2Helper *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkStringList *tempr = (ap.IsBound() ?
      op->GetParametersAsStringList() :
      op->vtkCPPythonScriptV2Helper::GetParametersAsStringList());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkCPPythonScriptV2Helper_Methods[] = {
  {"IsTypeOf", PyvtkCPPythonScriptV2Helper_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkCPPythonScriptV2Helper_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkCPPythonScriptV2Helper_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkCPPythonScriptV2Helper\nC++: static vtkCPPythonScriptV2Helper *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkCPPythonScriptV2Helper_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkCPPythonScriptV2Helper\nC++: vtkCPPythonScriptV2Helper *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkCPPythonScriptV2Helper_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBaseType(string) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkCPPythonScriptV2Helper_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBase(string) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"PrepareFromScript", PyvtkCPPythonScriptV2Helper_PrepareFromScript, METH_VARARGS,
   "V.PrepareFromScript(string) -> bool\nC++: bool PrepareFromScript(const std::string &fname)\n\nPrepares the Python package/module for import. This doesn't\nactually import it yet. Returns false if the prep failed for some\nreason.\n"},
  {"IsImported", PyvtkCPPythonScriptV2Helper_IsImported, METH_VARARGS,
   "V.IsImported() -> bool\nC++: bool IsImported()\n\nReturns if the package/module has been imported.\n"},
  {"Import", PyvtkCPPythonScriptV2Helper_Import, METH_VARARGS,
   "V.Import(Stvector_ISt6stringE) -> bool\nC++: bool Import(const std::vector<std::string> &args={ })\nV.Import(vtkCPDataDescription) -> bool\nC++: bool Import(vtkCPDataDescription *desc)\n\nImports the module/package. This overload is used by\n`vtkInSituPipelinePython` which in turn is used in\nParaView-Catalyst, the ParaView-based implementation of the\nCatalyst In Situ API.\n\nReturns true on success.\n"},
  {"CatalystInitialize", PyvtkCPPythonScriptV2Helper_CatalystInitialize, METH_VARARGS,
   "V.CatalystInitialize() -> bool\nC++: bool CatalystInitialize()\nV.CatalystInitialize(vtkCPDataDescription) -> bool\nC++: bool CatalystInitialize(vtkCPDataDescription *desc)\n\nCalls `catalyst_initialize`.\n"},
  {"CatalystFinalize", PyvtkCPPythonScriptV2Helper_CatalystFinalize, METH_VARARGS,
   "V.CatalystFinalize() -> bool\nC++: bool CatalystFinalize()\n\nCalls `catalyst_finalize`.\n"},
  {"CatalystExecute", PyvtkCPPythonScriptV2Helper_CatalystExecute, METH_VARARGS,
   "V.CatalystExecute(int, float, Stvector_ISt6stringE) -> bool\nC++: bool CatalystExecute(int timestep, double time,\n    const std::vector<std::string> &params={ })\nV.CatalystExecute(vtkCPDataDescription) -> bool\nC++: bool CatalystExecute(vtkCPDataDescription *desc)\n\nCalls `catalyst_execute`.\n"},
  {"RequestDataDescription", PyvtkCPPythonScriptV2Helper_RequestDataDescription, METH_VARARGS,
   "V.RequestDataDescription(vtkCPDataDescription) -> bool\nC++: bool RequestDataDescription(vtkCPDataDescription *desc)\n\nThere are overloads intended for vtkCPPythonScriptV2Pipeline i.e.\nlegacy Catalyst adaptors that don't use Conduit.\n"},
  {"GetActiveInstance", PyvtkCPPythonScriptV2Helper_GetActiveInstance, METH_VARARGS,
   "V.GetActiveInstance() -> vtkCPPythonScriptV2Helper\nC++: static vtkCPPythonScriptV2Helper *GetActiveInstance()\n\nInternal methods. These are called by Python modules internal to\nParaView and may change without notice. Should not be considered\nas part of ParaView API.\n"},
  {"RegisterExtractor", PyvtkCPPythonScriptV2Helper_RegisterExtractor, METH_VARARGS,
   "V.RegisterExtractor(vtkSMProxy)\nC++: void RegisterExtractor(vtkSMProxy *extractor)\n\nInternal methods. These are called by Python modules internal to\nParaView and may change without notice. Should not be considered\nas part of ParaView API.\n"},
  {"RegisterView", PyvtkCPPythonScriptV2Helper_RegisterView, METH_VARARGS,
   "V.RegisterView(vtkSMProxy)\nC++: void RegisterView(vtkSMProxy *view)\n\nInternal methods. These are called by Python modules internal to\nParaView and may change without notice. Should not be considered\nas part of ParaView API.\n"},
  {"SetOptions", PyvtkCPPythonScriptV2Helper_SetOptions, METH_VARARGS,
   "V.SetOptions(vtkSMProxy)\nC++: void SetOptions(vtkSMProxy *catalystOptions)\n\nInternal methods. These are called by Python modules internal to\nParaView and may change without notice. Should not be considered\nas part of ParaView API.\n"},
  {"GetOptions", PyvtkCPPythonScriptV2Helper_GetOptions, METH_VARARGS,
   "V.GetOptions() -> vtkSMProxy\nC++: virtual vtkSMProxy *GetOptions()\n\nInternal methods. These are called by Python modules internal to\nParaView and may change without notice. Should not be considered\nas part of ParaView API.\n"},
  {"GetDataDescription", PyvtkCPPythonScriptV2Helper_GetDataDescription, METH_VARARGS,
   "V.GetDataDescription() -> vtkCPDataDescription\nC++: vtkCPDataDescription *GetDataDescription()\n\nInternal methods. These are called by Python modules internal to\nParaView and may change without notice. Should not be considered\nas part of ParaView API.\n"},
  {"GetTrivialProducer", PyvtkCPPythonScriptV2Helper_GetTrivialProducer, METH_VARARGS,
   "V.GetTrivialProducer(string) -> vtkSMProxy\nC++: vtkSMProxy *GetTrivialProducer(const char *inputname)\n\nInternal methods. These are called by Python modules internal to\nParaView and may change without notice. Should not be considered\nas part of ParaView API.\n"},
  {"GetArgumentsAsStringList", PyvtkCPPythonScriptV2Helper_GetArgumentsAsStringList, METH_VARARGS,
   "V.GetArgumentsAsStringList() -> vtkStringList\nC++: vtkStringList *GetArgumentsAsStringList()\n\nInternal methods. These are called by Python modules internal to\nParaView and may change without notice. Should not be considered\nas part of ParaView API.\n"},
  {"GetParametersAsStringList", PyvtkCPPythonScriptV2Helper_GetParametersAsStringList, METH_VARARGS,
   "V.GetParametersAsStringList() -> vtkStringList\nC++: vtkStringList *GetParametersAsStringList()\n\nInternal methods. These are called by Python modules internal to\nParaView and may change without notice. Should not be considered\nas part of ParaView API.\n"},
  {nullptr, nullptr, 0, nullptr}
};

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkCPPythonScriptV2Helper_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkPVPythonCatalyst.vtkCPPythonScriptV2Helper", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkCPPythonScriptV2Helper_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkCPPythonScriptV2Helper_StaticNew()
{
  return vtkCPPythonScriptV2Helper::New();
}

PyObject *PyvtkCPPythonScriptV2Helper_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkCPPythonScriptV2Helper_Type, PyvtkCPPythonScriptV2Helper_Methods,
    "vtkCPPythonScriptV2Helper",
 &PyvtkCPPythonScriptV2Helper_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindClassTypeObject("vtkObject");

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkCPPythonScriptV2Helper(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkCPPythonScriptV2Helper_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkCPPythonScriptV2Helper", o) != 0)
  {
    Py_DECREF(o);
  }

}

