// python wrapper for vtkCSVWriter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkCSVWriter.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkCSVWriter(PyObject *dict); }
extern "C" { PyObject *PyvtkCSVWriter_ClassNew(); }


static const char *PyvtkCSVWriter_Doc =
  "vtkCSVWriter - CSV writer for vtkTable\n\n"
  "Superclass: vtkWriter\n\n"
  "Writes a vtkTable as a delimited text file (such as CSV).\n\n";


static PyObject *
PyvtkCSVWriter_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkCSVWriter::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkCSVWriter::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkCSVWriter *tempr = vtkCSVWriter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkCSVWriter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkCSVWriter::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkCSVWriter::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkCSVWriter::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  vtkMultiProcessController *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
  {
    if (ap.IsBound())
    {
      op->SetController(temp0);
    }
    else
    {
      op->vtkCSVWriter::SetController(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkMultiProcessController *tempr = (ap.IsBound() ?
      op->GetController() :
      op->vtkCSVWriter::GetController());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_SetFieldDelimiter(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFieldDelimiter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetFieldDelimiter(temp0);
    }
    else
    {
      op->vtkCSVWriter::SetFieldDelimiter(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetFieldDelimiter(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldDelimiter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetFieldDelimiter() :
      op->vtkCSVWriter::GetFieldDelimiter());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_SetStringDelimiter(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStringDelimiter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetStringDelimiter(temp0);
    }
    else
    {
      op->vtkCSVWriter::SetStringDelimiter(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetStringDelimiter(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStringDelimiter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetStringDelimiter() :
      op->vtkCSVWriter::GetStringDelimiter());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetFilePath(temp0))
  {
    if (ap.IsBound())
    {
      op->SetFileName(temp0);
    }
    else
    {
      op->vtkCSVWriter::SetFileName(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetFileName() :
      op->vtkCSVWriter::GetFileName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_SetUseStringDelimiter(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseStringDelimiter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetUseStringDelimiter(temp0);
    }
    else
    {
      op->vtkCSVWriter::SetUseStringDelimiter(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetUseStringDelimiter(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseStringDelimiter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetUseStringDelimiter() :
      op->vtkCSVWriter::GetUseStringDelimiter());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_SetPrecision(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPrecision");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetPrecision(temp0);
    }
    else
    {
      op->vtkCSVWriter::SetPrecision(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetPrecisionMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPrecisionMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetPrecisionMinValue() :
      op->vtkCSVWriter::GetPrecisionMinValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetPrecisionMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPrecisionMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetPrecisionMaxValue() :
      op->vtkCSVWriter::GetPrecisionMaxValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetPrecision(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPrecision");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetPrecision() :
      op->vtkCSVWriter::GetPrecision());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_SetUseScientificNotation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseScientificNotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetUseScientificNotation(temp0);
    }
    else
    {
      op->vtkCSVWriter::SetUseScientificNotation(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetUseScientificNotation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseScientificNotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetUseScientificNotation() :
      op->vtkCSVWriter::GetUseScientificNotation());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_UseScientificNotationOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseScientificNotationOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->UseScientificNotationOn();
    }
    else
    {
      op->vtkCSVWriter::UseScientificNotationOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_UseScientificNotationOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseScientificNotationOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->UseScientificNotationOff();
    }
    else
    {
      op->vtkCSVWriter::UseScientificNotationOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_SetFieldAssociation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFieldAssociation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetFieldAssociation(temp0);
    }
    else
    {
      op->vtkCSVWriter::SetFieldAssociation(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetFieldAssociationMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldAssociationMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetFieldAssociationMinValue() :
      op->vtkCSVWriter::GetFieldAssociationMinValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetFieldAssociationMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldAssociationMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetFieldAssociationMaxValue() :
      op->vtkCSVWriter::GetFieldAssociationMaxValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetFieldAssociation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldAssociation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetFieldAssociation() :
      op->vtkCSVWriter::GetFieldAssociation());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_SetAddMetaData(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAddMetaData");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAddMetaData(temp0);
    }
    else
    {
      op->vtkCSVWriter::SetAddMetaData(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetAddMetaData(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAddMetaData");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetAddMetaData() :
      op->vtkCSVWriter::GetAddMetaData());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_AddMetaDataOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddMetaDataOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->AddMetaDataOn();
    }
    else
    {
      op->vtkCSVWriter::AddMetaDataOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_AddMetaDataOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddMetaDataOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->AddMetaDataOff();
    }
    else
    {
      op->vtkCSVWriter::AddMetaDataOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_SetAddTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAddTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetAddTime(temp0);
    }
    else
    {
      op->vtkCSVWriter::SetAddTime(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetAddTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAddTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetAddTime() :
      op->vtkCSVWriter::GetAddTime());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_AddTimeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddTimeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->AddTimeOn();
    }
    else
    {
      op->vtkCSVWriter::AddTimeOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_AddTimeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddTimeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->AddTimeOff();
    }
    else
    {
      op->vtkCSVWriter::AddTimeOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkCSVWriter_GetString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCSVWriter *op = static_cast<vtkCSVWriter *>(vp);

  std::string temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    std::string tempr = (ap.IsBound() ?
      op->GetString(temp0) :
      op->vtkCSVWriter::GetString(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkCSVWriter_Methods[] = {
  {"IsTypeOf", PyvtkCSVWriter_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkCSVWriter_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkCSVWriter_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkCSVWriter\nC++: static vtkCSVWriter *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkCSVWriter_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkCSVWriter\nC++: vtkCSVWriter *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkCSVWriter_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBaseType(string) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkCSVWriter_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBase(string) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SetController", PyvtkCSVWriter_SetController, METH_VARARGS,
   "V.SetController(vtkMultiProcessController)\nC++: void SetController(vtkMultiProcessController *)\n\nGet/Set the controller to use. By default,\n`vtkMultiProcessController::GetGlobalController` will be used.\n"},
  {"GetController", PyvtkCSVWriter_GetController, METH_VARARGS,
   "V.GetController() -> vtkMultiProcessController\nC++: virtual vtkMultiProcessController *GetController()\n\nGet/Set the controller to use. By default,\n`vtkMultiProcessController::GetGlobalController` will be used.\n"},
  {"SetFieldDelimiter", PyvtkCSVWriter_SetFieldDelimiter, METH_VARARGS,
   "V.SetFieldDelimiter(string)\nC++: virtual void SetFieldDelimiter(const char *_arg)\n\nGet/Set the delimiter use to separate fields (\",\" by default.)\n"},
  {"GetFieldDelimiter", PyvtkCSVWriter_GetFieldDelimiter, METH_VARARGS,
   "V.GetFieldDelimiter() -> string\nC++: virtual char *GetFieldDelimiter()\n\nGet/Set the delimiter use to separate fields (\",\" by default.)\n"},
  {"SetStringDelimiter", PyvtkCSVWriter_SetStringDelimiter, METH_VARARGS,
   "V.SetStringDelimiter(string)\nC++: virtual void SetStringDelimiter(const char *_arg)\n\nGet/Set the delimiter used for string data, if any eg. double\nquotes(\").\n"},
  {"GetStringDelimiter", PyvtkCSVWriter_GetStringDelimiter, METH_VARARGS,
   "V.GetStringDelimiter() -> string\nC++: virtual char *GetStringDelimiter()\n\nGet/Set the delimiter used for string data, if any eg. double\nquotes(\").\n"},
  {"SetFileName", PyvtkCSVWriter_SetFileName, METH_VARARGS,
   "V.SetFileName(string)\nC++: virtual void SetFileName(const char *_arg)\n\nGet/Set the filename for the file.\n"},
  {"GetFileName", PyvtkCSVWriter_GetFileName, METH_VARARGS,
   "V.GetFileName() -> string\nC++: virtual char *GetFileName()\n\nGet/Set the filename for the file.\n"},
  {"SetUseStringDelimiter", PyvtkCSVWriter_SetUseStringDelimiter, METH_VARARGS,
   "V.SetUseStringDelimiter(bool)\nC++: virtual void SetUseStringDelimiter(bool _arg)\n\nGet/Set if StringDelimiter must be used for string data. True by\ndefault.\n"},
  {"GetUseStringDelimiter", PyvtkCSVWriter_GetUseStringDelimiter, METH_VARARGS,
   "V.GetUseStringDelimiter() -> bool\nC++: virtual bool GetUseStringDelimiter()\n\nGet/Set if StringDelimiter must be used for string data. True by\ndefault.\n"},
  {"SetPrecision", PyvtkCSVWriter_SetPrecision, METH_VARARGS,
   "V.SetPrecision(int)\nC++: virtual void SetPrecision(int _arg)\n\nGet/Set the precision to use for printing numeric values. Default\nis 5.\n"},
  {"GetPrecisionMinValue", PyvtkCSVWriter_GetPrecisionMinValue, METH_VARARGS,
   "V.GetPrecisionMinValue() -> int\nC++: virtual int GetPrecisionMinValue()\n\nGet/Set the precision to use for printing numeric values. Default\nis 5.\n"},
  {"GetPrecisionMaxValue", PyvtkCSVWriter_GetPrecisionMaxValue, METH_VARARGS,
   "V.GetPrecisionMaxValue() -> int\nC++: virtual int GetPrecisionMaxValue()\n\nGet/Set the precision to use for printing numeric values. Default\nis 5.\n"},
  {"GetPrecision", PyvtkCSVWriter_GetPrecision, METH_VARARGS,
   "V.GetPrecision() -> int\nC++: virtual int GetPrecision()\n\nGet/Set the precision to use for printing numeric values. Default\nis 5.\n"},
  {"SetUseScientificNotation", PyvtkCSVWriter_SetUseScientificNotation, METH_VARARGS,
   "V.SetUseScientificNotation(bool)\nC++: virtual void SetUseScientificNotation(bool _arg)\n\nGet/Set whether scientific notation is used for numeric values.\n"},
  {"GetUseScientificNotation", PyvtkCSVWriter_GetUseScientificNotation, METH_VARARGS,
   "V.GetUseScientificNotation() -> bool\nC++: virtual bool GetUseScientificNotation()\n\nGet/Set whether scientific notation is used for numeric values.\n"},
  {"UseScientificNotationOn", PyvtkCSVWriter_UseScientificNotationOn, METH_VARARGS,
   "V.UseScientificNotationOn()\nC++: virtual void UseScientificNotationOn()\n\nGet/Set whether scientific notation is used for numeric values.\n"},
  {"UseScientificNotationOff", PyvtkCSVWriter_UseScientificNotationOff, METH_VARARGS,
   "V.UseScientificNotationOff()\nC++: virtual void UseScientificNotationOff()\n\nGet/Set whether scientific notation is used for numeric values.\n"},
  {"SetFieldAssociation", PyvtkCSVWriter_SetFieldAssociation, METH_VARARGS,
   "V.SetFieldAssociation(int)\nC++: virtual void SetFieldAssociation(int _arg)\n\nGet/set the attribute data to write if the input is either a\nvtkDataSet or composite of vtkDataSets. 0 is for point data\n(vtkDataObject::POINT), 1 is for cell data (vtkDataObject::CELL)\nand 2 is for field data (vtkDataObject::FIELD). Default is 0.\n"},
  {"GetFieldAssociationMinValue", PyvtkCSVWriter_GetFieldAssociationMinValue, METH_VARARGS,
   "V.GetFieldAssociationMinValue() -> int\nC++: virtual int GetFieldAssociationMinValue()\n\nGet/set the attribute data to write if the input is either a\nvtkDataSet or composite of vtkDataSets. 0 is for point data\n(vtkDataObject::POINT), 1 is for cell data (vtkDataObject::CELL)\nand 2 is for field data (vtkDataObject::FIELD). Default is 0.\n"},
  {"GetFieldAssociationMaxValue", PyvtkCSVWriter_GetFieldAssociationMaxValue, METH_VARARGS,
   "V.GetFieldAssociationMaxValue() -> int\nC++: virtual int GetFieldAssociationMaxValue()\n\nGet/set the attribute data to write if the input is either a\nvtkDataSet or composite of vtkDataSets. 0 is for point data\n(vtkDataObject::POINT), 1 is for cell data (vtkDataObject::CELL)\nand 2 is for field data (vtkDataObject::FIELD). Default is 0.\n"},
  {"GetFieldAssociation", PyvtkCSVWriter_GetFieldAssociation, METH_VARARGS,
   "V.GetFieldAssociation() -> int\nC++: virtual int GetFieldAssociation()\n\nGet/set the attribute data to write if the input is either a\nvtkDataSet or composite of vtkDataSets. 0 is for point data\n(vtkDataObject::POINT), 1 is for cell data (vtkDataObject::CELL)\nand 2 is for field data (vtkDataObject::FIELD). Default is 0.\n"},
  {"SetAddMetaData", PyvtkCSVWriter_SetAddMetaData, METH_VARARGS,
   "V.SetAddMetaData(bool)\nC++: virtual void SetAddMetaData(bool _arg)\n\nGet/Set whether to add additional meta-data to the field data\nsuch as point coordinates (when point attributes are selected and\ninput is pointset) or structured coordinates etc. if the input is\neither a vtkDataSet or composite of vtkDataSets.\n"},
  {"GetAddMetaData", PyvtkCSVWriter_GetAddMetaData, METH_VARARGS,
   "V.GetAddMetaData() -> bool\nC++: virtual bool GetAddMetaData()\n\nGet/Set whether to add additional meta-data to the field data\nsuch as point coordinates (when point attributes are selected and\ninput is pointset) or structured coordinates etc. if the input is\neither a vtkDataSet or composite of vtkDataSets.\n"},
  {"AddMetaDataOn", PyvtkCSVWriter_AddMetaDataOn, METH_VARARGS,
   "V.AddMetaDataOn()\nC++: virtual void AddMetaDataOn()\n\nGet/Set whether to add additional meta-data to the field data\nsuch as point coordinates (when point attributes are selected and\ninput is pointset) or structured coordinates etc. if the input is\neither a vtkDataSet or composite of vtkDataSets.\n"},
  {"AddMetaDataOff", PyvtkCSVWriter_AddMetaDataOff, METH_VARARGS,
   "V.AddMetaDataOff()\nC++: virtual void AddMetaDataOff()\n\nGet/Set whether to add additional meta-data to the field data\nsuch as point coordinates (when point attributes are selected and\ninput is pointset) or structured coordinates etc. if the input is\neither a vtkDataSet or composite of vtkDataSets.\n"},
  {"SetAddTime", PyvtkCSVWriter_SetAddTime, METH_VARARGS,
   "V.SetAddTime(bool)\nC++: virtual void SetAddTime(bool _arg)\n\nWhen set to true (default is false), if the input data set has\ntime, then the time information will be saved under the column\nnamed \"Time\".\n"},
  {"GetAddTime", PyvtkCSVWriter_GetAddTime, METH_VARARGS,
   "V.GetAddTime() -> bool\nC++: virtual bool GetAddTime()\n\nWhen set to true (default is false), if the input data set has\ntime, then the time information will be saved under the column\nnamed \"Time\".\n"},
  {"AddTimeOn", PyvtkCSVWriter_AddTimeOn, METH_VARARGS,
   "V.AddTimeOn()\nC++: virtual void AddTimeOn()\n\nWhen set to true (default is false), if the input data set has\ntime, then the time information will be saved under the column\nnamed \"Time\".\n"},
  {"AddTimeOff", PyvtkCSVWriter_AddTimeOff, METH_VARARGS,
   "V.AddTimeOff()\nC++: virtual void AddTimeOff()\n\nWhen set to true (default is false), if the input data set has\ntime, then the time information will be saved under the column\nnamed \"Time\".\n"},
  {"GetString", PyvtkCSVWriter_GetString, METH_VARARGS,
   "V.GetString(string) -> string\nC++: std::string GetString(std::string string)\n\nInternal method: decorates the \"string\" with the\n\"StringDelimiter\" if UseStringDelimiter is true.\n"},
  {nullptr, nullptr, 0, nullptr}
};

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkCSVWriter_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkPVVTKExtensionsIOCore.vtkCSVWriter", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkCSVWriter_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkCSVWriter_StaticNew()
{
  return vtkCSVWriter::New();
}

PyObject *PyvtkCSVWriter_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkCSVWriter_Type, PyvtkCSVWriter_Methods,
    "vtkCSVWriter",
 &PyvtkCSVWriter_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindClassTypeObject("vtkWriter");

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkCSVWriter(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkCSVWriter_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkCSVWriter", o) != 0)
  {
    Py_DECREF(o);
  }

}

