// python wrapper for vtkPVOptions
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkPVOptions.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkPVOptions(PyObject *dict); }
extern "C" { PyObject *PyvtkPVOptions_ClassNew(); }


static const char *PyvtkPVOptions_Doc =
  "vtkPVOptions - ParaView options storage\n\n"
  "Superclass: vtkCommandOptions\n\n"
  "An object of this class represents a storage for ParaView options\n\n"
  "These options can be retrieved during run-time, set using\n"
  "configuration file or using Command Line Arguments.\n\n";

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkPVOptions_ProcessTypeEnum_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingCore.vtkPVOptions.ProcessTypeEnum", // tp_name
  sizeof(PyIntObject), // tp_basicsize
  0, // tp_itemsize
  nullptr, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  nullptr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  nullptr, // tp_str
  nullptr, // tp_getattro
  nullptr, // tp_setattro
  nullptr, // tp_as_buffer
  Py_TPFLAGS_DEFAULT, // tp_flags
  nullptr, // tp_doc
  nullptr, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  0, // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  nullptr, // tp_getset
  &PyInt_Type, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  0, // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  nullptr, // tp_new
  PyObject_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

template<class T>
PyObject *PyvtkPVOptions_ProcessTypeEnum_FromEnum(T val)
{
  return PyVTKEnum_New(&PyvtkPVOptions_ProcessTypeEnum_Type, static_cast<int>(val));
}


static PyObject *
PyvtkPVOptions_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkPVOptions::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkPVOptions::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkPVOptions *tempr = vtkPVOptions::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkPVOptions *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkPVOptions::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkPVOptions::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkPVOptions::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetHostName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHostName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const char *tempr = (ap.IsBound() ?
      op->GetHostName() :
      op->vtkPVOptions::GetHostName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetConnectID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConnectID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetConnectID() :
      op->vtkPVOptions::GetConnectID());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_SetConnectID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetConnectID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetConnectID(temp0);
    }
    else
    {
      op->vtkPVOptions::SetConnectID(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetTellVersion(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTellVersion");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetTellVersion() :
      op->vtkPVOptions::GetTellVersion());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetSymmetricMPIMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSymmetricMPIMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetSymmetricMPIMode() :
      op->vtkPVOptions::GetSymmetricMPIMode());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetEnableStackTrace(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEnableStackTrace");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetEnableStackTrace() :
      op->vtkPVOptions::GetEnableStackTrace());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetTimeout(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeout");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetTimeout() :
      op->vtkPVOptions::GetTimeout());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetLogFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLogFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const char *tempr = (ap.IsBound() ?
      op->GetLogFileName() :
      op->vtkPVOptions::GetLogFileName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetReverseConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReverseConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetReverseConnection() :
      op->vtkPVOptions::GetReverseConnection());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetServerURL(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerURL");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const char *tempr = (ap.IsBound() ?
      op->GetServerURL() :
      op->vtkPVOptions::GetServerURL());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetServersFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServersFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const char *tempr = (ap.IsBound() ?
      op->GetServersFileName() :
      op->vtkPVOptions::GetServersFileName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetUseStereoRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseStereoRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetUseStereoRendering() :
      op->vtkPVOptions::GetUseStereoRendering());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetStereoType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStereoType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const char *tempr = (ap.IsBound() ?
      op->GetStereoType() :
      op->vtkPVOptions::GetStereoType());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetTileDimensions_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const int *tempr = (ap.IsBound() ?
      op->GetTileDimensions() :
      op->vtkPVOptions::GetTileDimensions());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkPVOptions_GetTileDimensions_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  const size_t size0 = 2;
  int temp0[2];
  int save0[2];
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
  {
    vtkPythonArgs::Save(temp0, save0, size0);

    if (ap.IsBound())
    {
      op->GetTileDimensions(temp0);
    }
    else
    {
      op->vtkPVOptions::GetTileDimensions(temp0);
    }

    if (vtkPythonArgs::HasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
    {
      ap.SetArray(0, temp0, size0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkPVOptions_GetTileDimensions(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 0:
      return PyvtkPVOptions_GetTileDimensions_s1(self, args);
    case 1:
      return PyvtkPVOptions_GetTileDimensions_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "GetTileDimensions");
  return nullptr;
}


static PyObject *
PyvtkPVOptions_GetTileMullions_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileMullions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const int *tempr = (ap.IsBound() ?
      op->GetTileMullions() :
      op->vtkPVOptions::GetTileMullions());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkPVOptions_GetTileMullions_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileMullions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  const size_t size0 = 2;
  int temp0[2];
  int save0[2];
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
  {
    vtkPythonArgs::Save(temp0, save0, size0);

    if (ap.IsBound())
    {
      op->GetTileMullions(temp0);
    }
    else
    {
      op->vtkPVOptions::GetTileMullions(temp0);
    }

    if (vtkPythonArgs::HasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
    {
      ap.SetArray(0, temp0, size0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkPVOptions_GetTileMullions(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 0:
      return PyvtkPVOptions_GetTileMullions_s1(self, args);
    case 1:
      return PyvtkPVOptions_GetTileMullions_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "GetTileMullions");
  return nullptr;
}


static PyObject *
PyvtkPVOptions_GetIsInTileDisplay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsInTileDisplay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetIsInTileDisplay() :
      op->vtkPVOptions::GetIsInTileDisplay());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetForceOnscreenRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetForceOnscreenRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetForceOnscreenRendering() :
      op->vtkPVOptions::GetForceOnscreenRendering());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetForceOffscreenRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetForceOffscreenRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetForceOffscreenRendering() :
      op->vtkPVOptions::GetForceOffscreenRendering());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetIsInCave(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsInCave");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetIsInCave() :
      op->vtkPVOptions::GetIsInCave());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetDisableXDisplayTests(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDisableXDisplayTests");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetDisableXDisplayTests() :
      op->vtkPVOptions::GetDisableXDisplayTests());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetEGLDeviceIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEGLDeviceIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetEGLDeviceIndex() :
      op->vtkPVOptions::GetEGLDeviceIndex());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetMultiClientMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMultiClientMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetMultiClientMode() :
      op->vtkPVOptions::GetMultiClientMode());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_IsMultiClientModeDebug(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsMultiClientModeDebug");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->IsMultiClientModeDebug() :
      op->vtkPVOptions::IsMultiClientModeDebug());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetDisableFurtherConnections(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDisableFurtherConnections");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetDisableFurtherConnections() :
      op->vtkPVOptions::GetDisableFurtherConnections());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetMultiServerMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMultiServerMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetMultiServerMode() :
      op->vtkPVOptions::GetMultiServerMode());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetParaViewDataName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParaViewDataName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const char *tempr = (ap.IsBound() ?
      op->GetParaViewDataName() :
      op->vtkPVOptions::GetParaViewDataName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetTestPlugins(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTestPlugins");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const char *tempr = (ap.IsBound() ?
      op->GetTestPlugins() :
      op->vtkPVOptions::GetTestPlugins());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetTestPluginPaths(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTestPluginPaths");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const char *tempr = (ap.IsBound() ?
      op->GetTestPluginPaths() :
      op->vtkPVOptions::GetTestPluginPaths());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetCatalystLivePort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCatalystLivePort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetCatalystLivePort() :
      op->vtkPVOptions::GetCatalystLivePort());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetDisableRegistry(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDisableRegistry");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetDisableRegistry() :
      op->vtkPVOptions::GetDisableRegistry());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVOptions_GetPrintMonitors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPrintMonitors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetPrintMonitors() :
      op->vtkPVOptions::GetPrintMonitors());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkPVOptions_Methods[] = {
  {"IsTypeOf", PyvtkPVOptions_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkPVOptions_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkPVOptions_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkPVOptions\nC++: static vtkPVOptions *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkPVOptions_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkPVOptions\nC++: vtkPVOptions *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkPVOptions_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBaseType(string) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkPVOptions_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBase(string) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetHostName", PyvtkPVOptions_GetHostName, METH_VARARGS,
   "V.GetHostName() -> string\nC++: const char *GetHostName()\n\n"},
  {"GetConnectID", PyvtkPVOptions_GetConnectID, METH_VARARGS,
   "V.GetConnectID() -> int\nC++: int GetConnectID()\n\n"},
  {"SetConnectID", PyvtkPVOptions_SetConnectID, METH_VARARGS,
   "V.SetConnectID(int)\nC++: void SetConnectID(int)\n\n"},
  {"GetTellVersion", PyvtkPVOptions_GetTellVersion, METH_VARARGS,
   "V.GetTellVersion() -> int\nC++: int GetTellVersion()\n\n"},
  {"GetSymmetricMPIMode", PyvtkPVOptions_GetSymmetricMPIMode, METH_VARARGS,
   "V.GetSymmetricMPIMode() -> int\nC++: int GetSymmetricMPIMode()\n\n"},
  {"GetEnableStackTrace", PyvtkPVOptions_GetEnableStackTrace, METH_VARARGS,
   "V.GetEnableStackTrace() -> int\nC++: int GetEnableStackTrace()\n\n"},
  {"GetTimeout", PyvtkPVOptions_GetTimeout, METH_VARARGS,
   "V.GetTimeout() -> int\nC++: int GetTimeout()\n\n"},
  {"GetLogFileName", PyvtkPVOptions_GetLogFileName, METH_VARARGS,
   "V.GetLogFileName() -> string\nC++: const char *GetLogFileName()\n\n"},
  {"GetReverseConnection", PyvtkPVOptions_GetReverseConnection, METH_VARARGS,
   "V.GetReverseConnection() -> int\nC++: int GetReverseConnection()\n\n"},
  {"GetServerURL", PyvtkPVOptions_GetServerURL, METH_VARARGS,
   "V.GetServerURL() -> string\nC++: const char *GetServerURL()\n\n"},
  {"GetServersFileName", PyvtkPVOptions_GetServersFileName, METH_VARARGS,
   "V.GetServersFileName() -> string\nC++: const char *GetServersFileName()\n\n"},
  {"GetUseStereoRendering", PyvtkPVOptions_GetUseStereoRendering, METH_VARARGS,
   "V.GetUseStereoRendering() -> int\nC++: int GetUseStereoRendering()\n\n"},
  {"GetStereoType", PyvtkPVOptions_GetStereoType, METH_VARARGS,
   "V.GetStereoType() -> string\nC++: const char *GetStereoType()\n\n"},
  {"GetTileDimensions", PyvtkPVOptions_GetTileDimensions, METH_VARARGS,
   "V.GetTileDimensions() -> (int, ...)\nC++: const int *GetTileDimensions()\nV.GetTileDimensions([int, int])\nC++: void GetTileDimensions(int[2])\n\n"},
  {"GetTileMullions", PyvtkPVOptions_GetTileMullions, METH_VARARGS,
   "V.GetTileMullions() -> (int, ...)\nC++: const int *GetTileMullions()\nV.GetTileMullions([int, int])\nC++: void GetTileMullions(int[2])\n\n"},
  {"GetIsInTileDisplay", PyvtkPVOptions_GetIsInTileDisplay, METH_VARARGS,
   "V.GetIsInTileDisplay() -> bool\nC++: bool GetIsInTileDisplay()\n\n"},
  {"GetForceOnscreenRendering", PyvtkPVOptions_GetForceOnscreenRendering, METH_VARARGS,
   "V.GetForceOnscreenRendering() -> int\nC++: int GetForceOnscreenRendering()\n\n"},
  {"GetForceOffscreenRendering", PyvtkPVOptions_GetForceOffscreenRendering, METH_VARARGS,
   "V.GetForceOffscreenRendering() -> int\nC++: int GetForceOffscreenRendering()\n\n"},
  {"GetIsInCave", PyvtkPVOptions_GetIsInCave, METH_VARARGS,
   "V.GetIsInCave() -> bool\nC++: bool GetIsInCave()\n\n"},
  {"GetDisableXDisplayTests", PyvtkPVOptions_GetDisableXDisplayTests, METH_VARARGS,
   "V.GetDisableXDisplayTests() -> int\nC++: int GetDisableXDisplayTests()\n\n"},
  {"GetEGLDeviceIndex", PyvtkPVOptions_GetEGLDeviceIndex, METH_VARARGS,
   "V.GetEGLDeviceIndex() -> int\nC++: int GetEGLDeviceIndex()\n\n"},
  {"GetMultiClientMode", PyvtkPVOptions_GetMultiClientMode, METH_VARARGS,
   "V.GetMultiClientMode() -> int\nC++: int GetMultiClientMode()\n\n"},
  {"IsMultiClientModeDebug", PyvtkPVOptions_IsMultiClientModeDebug, METH_VARARGS,
   "V.IsMultiClientModeDebug() -> int\nC++: int IsMultiClientModeDebug()\n\n"},
  {"GetDisableFurtherConnections", PyvtkPVOptions_GetDisableFurtherConnections, METH_VARARGS,
   "V.GetDisableFurtherConnections() -> int\nC++: int GetDisableFurtherConnections()\n\n"},
  {"GetMultiServerMode", PyvtkPVOptions_GetMultiServerMode, METH_VARARGS,
   "V.GetMultiServerMode() -> int\nC++: int GetMultiServerMode()\n\n"},
  {"GetParaViewDataName", PyvtkPVOptions_GetParaViewDataName, METH_VARARGS,
   "V.GetParaViewDataName() -> string\nC++: const char *GetParaViewDataName()\n\n"},
  {"GetTestPlugins", PyvtkPVOptions_GetTestPlugins, METH_VARARGS,
   "V.GetTestPlugins() -> string\nC++: const char *GetTestPlugins()\n\n"},
  {"GetTestPluginPaths", PyvtkPVOptions_GetTestPluginPaths, METH_VARARGS,
   "V.GetTestPluginPaths() -> string\nC++: const char *GetTestPluginPaths()\n\n"},
  {"GetCatalystLivePort", PyvtkPVOptions_GetCatalystLivePort, METH_VARARGS,
   "V.GetCatalystLivePort() -> int\nC++: int GetCatalystLivePort()\n\n"},
  {"GetDisableRegistry", PyvtkPVOptions_GetDisableRegistry, METH_VARARGS,
   "V.GetDisableRegistry() -> int\nC++: int GetDisableRegistry()\n\n"},
  {"GetPrintMonitors", PyvtkPVOptions_GetPrintMonitors, METH_VARARGS,
   "V.GetPrintMonitors() -> int\nC++: int GetPrintMonitors()\n\n"},
  {nullptr, nullptr, 0, nullptr}
};

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkPVOptions_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingCore.vtkPVOptions", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkPVOptions_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkPVOptions_StaticNew()
{
  return vtkPVOptions::New();
}

PyObject *PyvtkPVOptions_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkPVOptions_Type, PyvtkPVOptions_Methods,
    "vtkPVOptions",
 &PyvtkPVOptions_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindClassTypeObject("vtkCommandOptions");

  PyObject *d = pytype->tp_dict;
  PyObject *o;

  PyType_Ready(&PyvtkPVOptions_ProcessTypeEnum_Type);
  PyVTKEnum_Add(&PyvtkPVOptions_ProcessTypeEnum_Type, "vtkPVOptions.ProcessTypeEnum");

  o = (PyObject *)&PyvtkPVOptions_ProcessTypeEnum_Type;
  if (PyDict_SetItemString(d, "ProcessTypeEnum", o) != 0)
  {
    Py_DECREF(o);
  }

  for (int c = 0; c < 7; c++)
  {
    typedef vtkPVOptions::ProcessTypeEnum cxx_enum_type;

    static const struct { const char *name; cxx_enum_type value; }
      constants[7] = {
        { "PARAVIEW", vtkPVOptions::PARAVIEW },
        { "PVCLIENT", vtkPVOptions::PVCLIENT },
        { "PVSERVER", vtkPVOptions::PVSERVER },
        { "PVRENDER_SERVER", vtkPVOptions::PVRENDER_SERVER },
        { "PVDATA_SERVER", vtkPVOptions::PVDATA_SERVER },
        { "PVBATCH", vtkPVOptions::PVBATCH },
        { "ALLPROCESS", vtkPVOptions::ALLPROCESS },
      };

    o = PyvtkPVOptions_ProcessTypeEnum_FromEnum(constants[c].value);
    if (o)
    {
      PyDict_SetItemString(d, constants[c].name, o);
      Py_DECREF(o);
    }
  }

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkPVOptions(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkPVOptions_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkPVOptions", o) != 0)
  {
    Py_DECREF(o);
  }

}

