// python wrapper for vtkRemotingCoreConfiguration
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkProcessModule.h"
#include "vtkRemotingCoreConfiguration.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkRemotingCoreConfiguration(PyObject *dict); }
extern "C" { PyObject *PyvtkRemotingCoreConfiguration_ClassNew(); }


static const char *PyvtkRemotingCoreConfiguration_Doc =
  "vtkRemotingCoreConfiguration - runtime configuration options for\nvtkRemotingCore module.\n\n"
  "Superclass: vtkObject\n\n"
  "vtkRemotingCoreConfiguration is a singleton that maintains runtime\n"
  "configuration for the process. These can be thought of as options\n"
  "settable by command line arguments and hence are initialized when the\n"
  "process launches and are not changed during the lifetime of the\n"
  "process.\n\n"
  "vtkRemotingCoreConfiguration can be setup via command line arguments.\n"
  "For that, create a `vtkCLIOptions` object and populate it using\n"
  "`PopulateOptions` method. `vtkCLIOptions` can then pass command line\n"
  "arguments for parsing.\n\n";


static PyObject *
PyvtkRemotingCoreConfiguration_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkRemotingCoreConfiguration::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkRemotingCoreConfiguration::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkRemotingCoreConfiguration *tempr = vtkRemotingCoreConfiguration::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkRemotingCoreConfiguration *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkRemotingCoreConfiguration::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkRemotingCoreConfiguration::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkRemotingCoreConfiguration::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetInstance(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetInstance");

  PyObject *result = nullptr;

  if (ap.CheckArgCount(0))
  {
    vtkRemotingCoreConfiguration *tempr = vtkRemotingCoreConfiguration::GetInstance();

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetTellVersion(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTellVersion");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetTellVersion() :
      op->vtkRemotingCoreConfiguration::GetTellVersion());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetDisableRegistry(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDisableRegistry");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetDisableRegistry() :
      op->vtkRemotingCoreConfiguration::GetDisableRegistry());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetPrintMonitors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPrintMonitors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetPrintMonitors() :
      op->vtkRemotingCoreConfiguration::GetPrintMonitors());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetHostName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHostName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const std::string *tempr = (ap.IsBound() ?
      &op->GetHostName() :
      &op->vtkRemotingCoreConfiguration::GetHostName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(*tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetClientHostName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClientHostName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const std::string *tempr = (ap.IsBound() ?
      &op->GetClientHostName() :
      &op->vtkRemotingCoreConfiguration::GetClientHostName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(*tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetServerPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetServerPort() :
      op->vtkRemotingCoreConfiguration::GetServerPort());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetReverseConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReverseConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetReverseConnection() :
      op->vtkRemotingCoreConfiguration::GetReverseConnection());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetConnectID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConnectID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetConnectID() :
      op->vtkRemotingCoreConfiguration::GetConnectID());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_SetConnectID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetConnectID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetConnectID(temp0);
    }
    else
    {
      op->vtkRemotingCoreConfiguration::SetConnectID(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetTimeout(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeout");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetTimeout() :
      op->vtkRemotingCoreConfiguration::GetTimeout());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetServerURL(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerURL");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const std::string *tempr = (ap.IsBound() ?
      &op->GetServerURL() :
      &op->vtkRemotingCoreConfiguration::GetServerURL());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(*tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetServerResourceName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerResourceName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const std::string *tempr = (ap.IsBound() ?
      &op->GetServerResourceName() :
      &op->vtkRemotingCoreConfiguration::GetServerResourceName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(*tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetServerConfigurationsFiles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerConfigurationsFiles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const std::vector<std::string> *tempr = (ap.IsBound() ?
      &op->GetServerConfigurationsFiles() :
      &op->vtkRemotingCoreConfiguration::GetServerConfigurationsFiles());

    if (!ap.ErrorOccurred())
    {
      if (tempr->empty())
      {
        result = PyTuple_New(0);
      }
      else
      {
        result = vtkPythonArgs::BuildTuple(tempr->data(), tempr->size());
      }
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetPluginSearchPaths(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPluginSearchPaths");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const std::vector<std::string> *tempr = (ap.IsBound() ?
      &op->GetPluginSearchPaths() :
      &op->vtkRemotingCoreConfiguration::GetPluginSearchPaths());

    if (!ap.ErrorOccurred())
    {
      if (tempr->empty())
      {
        result = PyTuple_New(0);
      }
      else
      {
        result = vtkPythonArgs::BuildTuple(tempr->data(), tempr->size());
      }
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetPlugins(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPlugins");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const std::vector<std::string> *tempr = (ap.IsBound() ?
      &op->GetPlugins() :
      &op->vtkRemotingCoreConfiguration::GetPlugins());

    if (!ap.ErrorOccurred())
    {
      if (tempr->empty())
      {
        result = PyTuple_New(0);
      }
      else
      {
        result = vtkPythonArgs::BuildTuple(tempr->data(), tempr->size());
      }
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetUseStereoRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseStereoRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetUseStereoRendering() :
      op->vtkRemotingCoreConfiguration::GetUseStereoRendering());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetStereoType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStereoType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetStereoType() :
      op->vtkRemotingCoreConfiguration::GetStereoType());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetStereoTypeAsString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStereoTypeAsString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const char *tempr = (ap.IsBound() ?
      op->GetStereoTypeAsString() :
      op->vtkRemotingCoreConfiguration::GetStereoTypeAsString());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetEyeSeparation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEyeSeparation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetEyeSeparation() :
      op->vtkRemotingCoreConfiguration::GetEyeSeparation());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetTileMullions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileMullions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  size_t sizer = 2;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int *tempr = (ap.IsBound() ?
      op->GetTileMullions() :
      op->vtkRemotingCoreConfiguration::GetTileMullions());

    if (!ap.ErrorOccurred())
    {
      result = vtkPythonArgs::BuildTuple(tempr, sizer);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetTileDimensions_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  const size_t size0 = 2;
  int temp0[2];
  int save0[2];
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
  {
    vtkPythonArgs::Save(temp0, save0, size0);

    if (ap.IsBound())
    {
      op->GetTileDimensions(temp0);
    }
    else
    {
      op->vtkRemotingCoreConfiguration::GetTileDimensions(temp0);
    }

    if (vtkPythonArgs::HasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
    {
      ap.SetArray(0, temp0, size0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyObject *
PyvtkRemotingCoreConfiguration_GetTileDimensions_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    const int *tempr = (ap.IsBound() ?
      op->GetTileDimensions() :
      op->vtkRemotingCoreConfiguration::GetTileDimensions());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkRemotingCoreConfiguration_GetTileDimensions(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
  {
    case 1:
      return PyvtkRemotingCoreConfiguration_GetTileDimensions_s1(self, args);
    case 0:
      return PyvtkRemotingCoreConfiguration_GetTileDimensions_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "GetTileDimensions");
  return nullptr;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetIsInTileDisplay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsInTileDisplay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetIsInTileDisplay() :
      op->vtkRemotingCoreConfiguration::GetIsInTileDisplay());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetIsInCave(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsInCave");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetIsInCave() :
      op->vtkRemotingCoreConfiguration::GetIsInCave());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetDisplayConfiguration(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDisplayConfiguration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkDisplayConfiguration *tempr = (ap.IsBound() ?
      op->GetDisplayConfiguration() :
      op->vtkRemotingCoreConfiguration::GetDisplayConfiguration());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetDisableXDisplayTests(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDisableXDisplayTests");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetDisableXDisplayTests() :
      op->vtkRemotingCoreConfiguration::GetDisableXDisplayTests());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetForceOffscreenRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetForceOffscreenRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetForceOffscreenRendering() :
      op->vtkRemotingCoreConfiguration::GetForceOffscreenRendering());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetForceOnscreenRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetForceOnscreenRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetForceOnscreenRendering() :
      op->vtkRemotingCoreConfiguration::GetForceOnscreenRendering());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetEGLDeviceIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEGLDeviceIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetEGLDeviceIndex() :
      op->vtkRemotingCoreConfiguration::GetEGLDeviceIndex());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetDisplay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDisplay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    std::string tempr = (ap.IsBound() ?
      op->GetDisplay() :
      op->vtkRemotingCoreConfiguration::GetDisplay());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetMultiServerMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMultiServerMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetMultiServerMode() :
      op->vtkRemotingCoreConfiguration::GetMultiServerMode());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetMultiClientMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMultiClientMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetMultiClientMode() :
      op->vtkRemotingCoreConfiguration::GetMultiClientMode());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_GetDisableFurtherConnections(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDisableFurtherConnections");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetDisableFurtherConnections() :
      op->vtkRemotingCoreConfiguration::GetDisableFurtherConnections());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_PopulateOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PopulateOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  vtkCLIOptions *temp0 = nullptr;
  vtkProcessModule::ProcessTypes temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkCLIOptions") &&
      ap.GetEnumValue(temp1, "vtkProcessModule.ProcessTypes"))
  {
    bool tempr = (ap.IsBound() ?
      op->PopulateOptions(temp0, temp1) :
      op->vtkRemotingCoreConfiguration::PopulateOptions(temp0, temp1));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_PopulateGlobalOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PopulateGlobalOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  vtkCLIOptions *temp0 = nullptr;
  vtkProcessModule::ProcessTypes temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkCLIOptions") &&
      ap.GetEnumValue(temp1, "vtkProcessModule.ProcessTypes"))
  {
    bool tempr = (ap.IsBound() ?
      op->PopulateGlobalOptions(temp0, temp1) :
      op->vtkRemotingCoreConfiguration::PopulateGlobalOptions(temp0, temp1));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_PopulateConnectionOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PopulateConnectionOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  vtkCLIOptions *temp0 = nullptr;
  vtkProcessModule::ProcessTypes temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkCLIOptions") &&
      ap.GetEnumValue(temp1, "vtkProcessModule.ProcessTypes"))
  {
    bool tempr = (ap.IsBound() ?
      op->PopulateConnectionOptions(temp0, temp1) :
      op->vtkRemotingCoreConfiguration::PopulateConnectionOptions(temp0, temp1));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_PopulatePluginOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PopulatePluginOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  vtkCLIOptions *temp0 = nullptr;
  vtkProcessModule::ProcessTypes temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkCLIOptions") &&
      ap.GetEnumValue(temp1, "vtkProcessModule.ProcessTypes"))
  {
    bool tempr = (ap.IsBound() ?
      op->PopulatePluginOptions(temp0, temp1) :
      op->vtkRemotingCoreConfiguration::PopulatePluginOptions(temp0, temp1));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_PopulateRenderingOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PopulateRenderingOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  vtkCLIOptions *temp0 = nullptr;
  vtkProcessModule::ProcessTypes temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkCLIOptions") &&
      ap.GetEnumValue(temp1, "vtkProcessModule.ProcessTypes"))
  {
    bool tempr = (ap.IsBound() ?
      op->PopulateRenderingOptions(temp0, temp1) :
      op->vtkRemotingCoreConfiguration::PopulateRenderingOptions(temp0, temp1));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_PopulateMiscellaneousOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PopulateMiscellaneousOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  vtkCLIOptions *temp0 = nullptr;
  vtkProcessModule::ProcessTypes temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkCLIOptions") &&
      ap.GetEnumValue(temp1, "vtkProcessModule.ProcessTypes"))
  {
    bool tempr = (ap.IsBound() ?
      op->PopulateMiscellaneousOptions(temp0, temp1) :
      op->vtkRemotingCoreConfiguration::PopulateMiscellaneousOptions(temp0, temp1));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkRemotingCoreConfiguration_HandleDisplayEnvironment(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HandleDisplayEnvironment");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRemotingCoreConfiguration *op = static_cast<vtkRemotingCoreConfiguration *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->HandleDisplayEnvironment();
    }
    else
    {
      op->vtkRemotingCoreConfiguration::HandleDisplayEnvironment();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkRemotingCoreConfiguration_Methods[] = {
  {"IsTypeOf", PyvtkRemotingCoreConfiguration_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkRemotingCoreConfiguration_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkRemotingCoreConfiguration_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkRemotingCoreConfiguration\nC++: static vtkRemotingCoreConfiguration *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkRemotingCoreConfiguration_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkRemotingCoreConfiguration\nC++: vtkRemotingCoreConfiguration *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkRemotingCoreConfiguration_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBaseType(string) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkRemotingCoreConfiguration_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBase(string) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetInstance", PyvtkRemotingCoreConfiguration_GetInstance, METH_VARARGS,
   "V.GetInstance() -> vtkRemotingCoreConfiguration\nC++: static vtkRemotingCoreConfiguration *GetInstance()\n\nProvides access to the singleton.\n"},
  {"GetTellVersion", PyvtkRemotingCoreConfiguration_GetTellVersion, METH_VARARGS,
   "V.GetTellVersion() -> bool\nC++: virtual bool GetTellVersion()\n\nFlag set when user expects the executable to simply print out the\nversion number and exit.\n"},
  {"GetDisableRegistry", PyvtkRemotingCoreConfiguration_GetDisableRegistry, METH_VARARGS,
   "V.GetDisableRegistry() -> bool\nC++: virtual bool GetDisableRegistry()\n\nGet whether to load user-specific session/configuration files\nfrom previous session or start the application using default\nconfiguration.\n"},
  {"GetPrintMonitors", PyvtkRemotingCoreConfiguration_GetPrintMonitors, METH_VARARGS,
   "V.GetPrintMonitors() -> bool\nC++: virtual bool GetPrintMonitors()\n\nPrint monitor information and exit. This is currently only\nsupported on Windows.\n"},
  {"GetHostName", PyvtkRemotingCoreConfiguration_GetHostName, METH_VARARGS,
   "V.GetHostName() -> string\nC++: const std::string &GetHostName()\n\nGet the hostname to use. By default, this is initialized to the\nhostname determined automatically using system calls\n(specifically, vtksys::SystemInformation).\n"},
  {"GetClientHostName", PyvtkRemotingCoreConfiguration_GetClientHostName, METH_VARARGS,
   "V.GetClientHostName() -> string\nC++: const std::string &GetClientHostName()\n\nGet the hostname for the \"client\" process. This is used by server\nprocesses when in reverse-connection mode to determine where the\nclient can be reached. Default is \"localhost\".\n"},
  {"GetServerPort", PyvtkRemotingCoreConfiguration_GetServerPort, METH_VARARGS,
   "V.GetServerPort() -> int\nC++: virtual int GetServerPort()\n\nGet the server-port number to use. This is the port number that a\nserver-process is expected to use as the 'listening' port. For\nreverse-connection, this is the port number that the client\nprocess is listening on.\n"},
  {"GetReverseConnection", PyvtkRemotingCoreConfiguration_GetReverseConnection, METH_VARARGS,
   "V.GetReverseConnection() -> bool\nC++: virtual bool GetReverseConnection()\n\nGet if the process is acting in reverse connection mode. This\nflag is only read on the server processes since client is capable\nof supported reverse and non-reverse connections in the same\nprocess.\n"},
  {"GetConnectID", PyvtkRemotingCoreConfiguration_GetConnectID, METH_VARARGS,
   "V.GetConnectID() -> int\nC++: virtual int GetConnectID()\n\nReturns the connection identifier used to validate client-server\nconnections.\n"},
  {"SetConnectID", PyvtkRemotingCoreConfiguration_SetConnectID, METH_VARARGS,
   "V.SetConnectID(int)\nC++: virtual void SetConnectID(int _arg)\n\n\n\note This API may change in future. This is left as is for now to\nkeep changes in this MR to a minimal.\n"},
  {"GetTimeout", PyvtkRemotingCoreConfiguration_GetTimeout, METH_VARARGS,
   "V.GetTimeout() -> int\nC++: virtual int GetTimeout()\n\nOn server processes, this denotes the time (in minutes) since the\ntime that the connection was established with the server that the\nserver may timeout. timeout <= 0 means no timeout.\n"},
  {"GetServerURL", PyvtkRemotingCoreConfiguration_GetServerURL, METH_VARARGS,
   "V.GetServerURL() -> string\nC++: const std::string &GetServerURL()\n\nOn client processes, this returns the server connection url to\nuse to connect to the server process(es) on startup, if any.\n\n@sa GetServerResourceName\n"},
  {"GetServerResourceName", PyvtkRemotingCoreConfiguration_GetServerResourceName, METH_VARARGS,
   "V.GetServerResourceName() -> string\nC++: const std::string &GetServerResourceName()\n\nOn client processes, this returns the server connection resource\nname to use to connect to the server process(es) on startup, if\nany.\n"},
  {"GetServerConfigurationsFiles", PyvtkRemotingCoreConfiguration_GetServerConfigurationsFiles, METH_VARARGS,
   "V.GetServerConfigurationsFiles() -> Stvector_ISt6stringE\nC++: const std::vector<std::string> &GetServerConfigurationsFiles(\n    )\n\nOn client processes, this provides list of server configurations\nfiles to use instead of the default user-specific server\nconfigurations file.\n"},
  {"GetPluginSearchPaths", PyvtkRemotingCoreConfiguration_GetPluginSearchPaths, METH_VARARGS,
   "V.GetPluginSearchPaths() -> Stvector_ISt6stringE\nC++: const std::vector<std::string> &GetPluginSearchPaths()\n\nGet a list of paths to add to plugin search paths. Any plugin\nrequested by name will be searched under these paths.\n"},
  {"GetPlugins", PyvtkRemotingCoreConfiguration_GetPlugins, METH_VARARGS,
   "V.GetPlugins() -> Stvector_ISt6stringE\nC++: const std::vector<std::string> &GetPlugins()\n\nGet a list of names for plugins to load.\n"},
  {"GetUseStereoRendering", PyvtkRemotingCoreConfiguration_GetUseStereoRendering, METH_VARARGS,
   "V.GetUseStereoRendering() -> bool\nC++: virtual bool GetUseStereoRendering()\n\nGet whether stereo rendering is enabled. This is only valid on\nrendering processes.\n"},
  {"GetStereoType", PyvtkRemotingCoreConfiguration_GetStereoType, METH_VARARGS,
   "V.GetStereoType() -> int\nC++: virtual int GetStereoType()\n\nGet stereo type requested. Returned values are `VTK_STEREO_*`\ndefined in vtkRenderWindow.h.\n"},
  {"GetStereoTypeAsString", PyvtkRemotingCoreConfiguration_GetStereoTypeAsString, METH_VARARGS,
   "V.GetStereoTypeAsString() -> string\nC++: const char *GetStereoTypeAsString()\n\n"},
  {"GetEyeSeparation", PyvtkRemotingCoreConfiguration_GetEyeSeparation, METH_VARARGS,
   "V.GetEyeSeparation() -> float\nC++: double GetEyeSeparation()\n\nEye separation to use when using stereo rendering.\n"},
  {"GetTileMullions", PyvtkRemotingCoreConfiguration_GetTileMullions, METH_VARARGS,
   "V.GetTileMullions() -> (int, int)\nC++: virtual int *GetTileMullions()\n\nGet the gap in pixel between tiles in a tile display./\n"},
  {"GetTileDimensions", PyvtkRemotingCoreConfiguration_GetTileDimensions, METH_VARARGS,
   "V.GetTileDimensions([int, int])\nC++: void GetTileDimensions(int dims[2])\nV.GetTileDimensions() -> (int, ...)\nC++: const int *GetTileDimensions()\n\nGet the dimensions of the tile display.\n"},
  {"GetIsInTileDisplay", PyvtkRemotingCoreConfiguration_GetIsInTileDisplay, METH_VARARGS,
   "V.GetIsInTileDisplay() -> bool\nC++: bool GetIsInTileDisplay()\n\nReturns true if in tile display mode.\n"},
  {"GetIsInCave", PyvtkRemotingCoreConfiguration_GetIsInCave, METH_VARARGS,
   "V.GetIsInCave() -> bool\nC++: bool GetIsInCave()\n\nReturns true of in CAVE mode.\n"},
  {"GetDisplayConfiguration", PyvtkRemotingCoreConfiguration_GetDisplayConfiguration, METH_VARARGS,
   "V.GetDisplayConfiguration() -> vtkDisplayConfiguration\nC++: vtkDisplayConfiguration *GetDisplayConfiguration()\n\nWhen in CAVE mode, returns the display configurations.\n"},
  {"GetDisableXDisplayTests", PyvtkRemotingCoreConfiguration_GetDisableXDisplayTests, METH_VARARGS,
   "V.GetDisableXDisplayTests() -> bool\nC++: virtual bool GetDisableXDisplayTests()\n\nXDisplay test on server processes during initialization sometimes\nhappens too early and may result in remote rendering prematurely\ndisabled. When this flag is set, ParaView will skip such\nX-display tests. Note, if the display is truly inaccessible when\nParaView tries to connect to the server, we will indeed get\nruntimes errors, including segfaults.\n"},
  {"GetForceOffscreenRendering", PyvtkRemotingCoreConfiguration_GetForceOffscreenRendering, METH_VARARGS,
   "V.GetForceOffscreenRendering() -> bool\nC++: virtual bool GetForceOffscreenRendering()\n\nWhen set to true, ParaView will create headless only render\nwindows on the current process.\n"},
  {"GetForceOnscreenRendering", PyvtkRemotingCoreConfiguration_GetForceOnscreenRendering, METH_VARARGS,
   "V.GetForceOnscreenRendering() -> bool\nC++: virtual bool GetForceOnscreenRendering()\n\nWhen set to true, ParaView will create on-screen render windows.\n"},
  {"GetEGLDeviceIndex", PyvtkRemotingCoreConfiguration_GetEGLDeviceIndex, METH_VARARGS,
   "V.GetEGLDeviceIndex() -> int\nC++: int GetEGLDeviceIndex()\n\nReturns the EGL device index for the current process. This uses\n`vtkMultiProcessController::GetLocalProcessId` to determine the\nrank of the process.\n-1 indicates no index was specified.\n"},
  {"GetDisplay", PyvtkRemotingCoreConfiguration_GetDisplay, METH_VARARGS,
   "V.GetDisplay() -> string\nC++: std::string GetDisplay()\n\nReturns the display setting, if any, for the current process.\n"},
  {"GetMultiServerMode", PyvtkRemotingCoreConfiguration_GetMultiServerMode, METH_VARARGS,
   "V.GetMultiServerMode() -> bool\nC++: virtual bool GetMultiServerMode()\n\nReturns true on client process if it should enable connecting to\nmultiple servers at the same time.\n"},
  {"GetMultiClientMode", PyvtkRemotingCoreConfiguration_GetMultiClientMode, METH_VARARGS,
   "V.GetMultiClientMode() -> bool\nC++: virtual bool GetMultiClientMode()\n\nReturns true data server process if the server should allow\nconnecting to multiple clients in a collaboration mode.\n"},
  {"GetDisableFurtherConnections", PyvtkRemotingCoreConfiguration_GetDisableFurtherConnections, METH_VARARGS,
   "V.GetDisableFurtherConnections() -> bool\nC++: virtual bool GetDisableFurtherConnections()\n\nReturns if this server does not allow connection after the first\nclient. This requires MultiClientMode.\n"},
  {"PopulateOptions", PyvtkRemotingCoreConfiguration_PopulateOptions, METH_VARARGS,
   "V.PopulateOptions(vtkCLIOptions, vtkProcessModule.ProcessTypes)\n    -> bool\nC++: bool PopulateOptions(vtkCLIOptions *app,\n    vtkProcessModule::ProcessTypes processType)\n\nPopulates vtkCLIOptions with available command line options.\n`processType` indicates which type of ParaView process the\noptions are being setup for. That may affect available options.\n"},
  {"PopulateGlobalOptions", PyvtkRemotingCoreConfiguration_PopulateGlobalOptions, METH_VARARGS,
   "V.PopulateGlobalOptions(vtkCLIOptions,\n    vtkProcessModule.ProcessTypes) -> bool\nC++: bool PopulateGlobalOptions(vtkCLIOptions *app,\n    vtkProcessModule::ProcessTypes processType)\n\n"},
  {"PopulateConnectionOptions", PyvtkRemotingCoreConfiguration_PopulateConnectionOptions, METH_VARARGS,
   "V.PopulateConnectionOptions(vtkCLIOptions,\n    vtkProcessModule.ProcessTypes) -> bool\nC++: bool PopulateConnectionOptions(vtkCLIOptions *app,\n    vtkProcessModule::ProcessTypes processType)\n\n"},
  {"PopulatePluginOptions", PyvtkRemotingCoreConfiguration_PopulatePluginOptions, METH_VARARGS,
   "V.PopulatePluginOptions(vtkCLIOptions,\n    vtkProcessModule.ProcessTypes) -> bool\nC++: bool PopulatePluginOptions(vtkCLIOptions *app,\n    vtkProcessModule::ProcessTypes processType)\n\n"},
  {"PopulateRenderingOptions", PyvtkRemotingCoreConfiguration_PopulateRenderingOptions, METH_VARARGS,
   "V.PopulateRenderingOptions(vtkCLIOptions,\n    vtkProcessModule.ProcessTypes) -> bool\nC++: bool PopulateRenderingOptions(vtkCLIOptions *app,\n    vtkProcessModule::ProcessTypes processType)\n\n"},
  {"PopulateMiscellaneousOptions", PyvtkRemotingCoreConfiguration_PopulateMiscellaneousOptions, METH_VARARGS,
   "V.PopulateMiscellaneousOptions(vtkCLIOptions,\n    vtkProcessModule.ProcessTypes) -> bool\nC++: bool PopulateMiscellaneousOptions(vtkCLIOptions *app,\n    vtkProcessModule::ProcessTypes processType)\n\n"},
  {"HandleDisplayEnvironment", PyvtkRemotingCoreConfiguration_HandleDisplayEnvironment, METH_VARARGS,
   "V.HandleDisplayEnvironment()\nC++: void HandleDisplayEnvironment()\n\nMethod to setup environment variables for display.\n"},
  {nullptr, nullptr, 0, nullptr}
};

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkRemotingCoreConfiguration_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingCore.vtkRemotingCoreConfiguration", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkRemotingCoreConfiguration_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

PyObject *PyvtkRemotingCoreConfiguration_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkRemotingCoreConfiguration_Type, PyvtkRemotingCoreConfiguration_Methods,
    "vtkRemotingCoreConfiguration",
 nullptr);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindClassTypeObject("vtkObject");

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkRemotingCoreConfiguration(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkRemotingCoreConfiguration_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkRemotingCoreConfiguration", o) != 0)
  {
    Py_DECREF(o);
  }

}

