// python wrapper for vtkIceTContext
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkIceTContext.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkIceTContext(PyObject *dict); }
extern "C" { PyObject *PyvtkIceTContext_ClassNew(); }


static const char *PyvtkIceTContext_Doc =
  "vtkIceTContext - This is a helper class for vtkIceTRenderManager and\nvtkOpenGLIceTRenderer.\n\n"
  "Superclass: vtkObject\n\n"
  "Most users will never need this class.\n\n"
  "This class was conceived to pass IceT contexts between\n"
  "vtkIceTRenderManager and vtkOpenGLIceTRenderer without having to\n"
  "include the IceT header file in either class.  Along the way, some\n"
  "functionality was added.\n\n"
  "@bug If you set the communicator to nullptr and then to a valid\n"
  "value, the IceT state will be lost.\n\n"
  "@sa\n"
  "vtkIceTRenderManager\n\n";


static PyObject *
PyvtkIceTContext_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkIceTContext::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkIceTContext::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkIceTContext *tempr = vtkIceTContext::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkIceTContext *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkIceTContext::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkIceTContext::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkIceTContext::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  vtkMultiProcessController *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
  {
    if (ap.IsBound())
    {
      op->SetController(temp0);
    }
    else
    {
      op->vtkIceTContext::SetController(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_GetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkMultiProcessController *tempr = (ap.IsBound() ?
      op->GetController() :
      op->vtkIceTContext::GetController());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_MakeCurrent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MakeCurrent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->MakeCurrent();
    }
    else
    {
      op->vtkIceTContext::MakeCurrent();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_GetUseOpenGL(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseOpenGL");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetUseOpenGL() :
      op->vtkIceTContext::GetUseOpenGL());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_SetUseOpenGL(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseOpenGL");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetUseOpenGL(temp0);
    }
    else
    {
      op->vtkIceTContext::SetUseOpenGL(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_UseOpenGLOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseOpenGLOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->UseOpenGLOn();
    }
    else
    {
      op->vtkIceTContext::UseOpenGLOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_UseOpenGLOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseOpenGLOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->UseOpenGLOff();
    }
    else
    {
      op->vtkIceTContext::UseOpenGLOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_CopyState(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CopyState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  vtkIceTContext *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkIceTContext"))
  {
    if (ap.IsBound())
    {
      op->CopyState(temp0);
    }
    else
    {
      op->vtkIceTContext::CopyState(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkIceTContext_IsValid(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsValid");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIceTContext *op = static_cast<vtkIceTContext *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->IsValid() :
      op->vtkIceTContext::IsValid());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkIceTContext_Methods[] = {
  {"IsTypeOf", PyvtkIceTContext_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkIceTContext_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkIceTContext_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkIceTContext\nC++: static vtkIceTContext *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkIceTContext_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkIceTContext\nC++: vtkIceTContext *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkIceTContext_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBaseType(string) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkIceTContext_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBase(string) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SetController", PyvtkIceTContext_SetController, METH_VARARGS,
   "V.SetController(vtkMultiProcessController)\nC++: virtual void SetController(\n    vtkMultiProcessController *controller)\n\nAssociate the context with the given controller.  Currently, this\nmust be a vtkMPIController.  The context is not valid until a\ncontroller is set.\n"},
  {"GetController", PyvtkIceTContext_GetController, METH_VARARGS,
   "V.GetController() -> vtkMultiProcessController\nC++: virtual vtkMultiProcessController *GetController()\n\nAssociate the context with the given controller.  Currently, this\nmust be a vtkMPIController.  The context is not valid until a\ncontroller is set.\n"},
  {"MakeCurrent", PyvtkIceTContext_MakeCurrent, METH_VARARGS,
   "V.MakeCurrent()\nC++: virtual void MakeCurrent()\n\nMake this context the current one.\n"},
  {"GetUseOpenGL", PyvtkIceTContext_GetUseOpenGL, METH_VARARGS,
   "V.GetUseOpenGL() -> int\nC++: virtual int GetUseOpenGL()\n\nTurn this on to enable the OpenGL layer in IceT.  By default this\nis off. Unless you explicitly plan to use the OpenGL layer, it\nshould probably remain off to ensure that you don't accidentally\nuse a feature you did not intend to use.\n"},
  {"SetUseOpenGL", PyvtkIceTContext_SetUseOpenGL, METH_VARARGS,
   "V.SetUseOpenGL(int)\nC++: virtual void SetUseOpenGL(int flag)\n\nTurn this on to enable the OpenGL layer in IceT.  By default this\nis off. Unless you explicitly plan to use the OpenGL layer, it\nshould probably remain off to ensure that you don't accidentally\nuse a feature you did not intend to use.\n"},
  {"UseOpenGLOn", PyvtkIceTContext_UseOpenGLOn, METH_VARARGS,
   "V.UseOpenGLOn()\nC++: virtual void UseOpenGLOn()\n\nTurn this on to enable the OpenGL layer in IceT.  By default this\nis off. Unless you explicitly plan to use the OpenGL layer, it\nshould probably remain off to ensure that you don't accidentally\nuse a feature you did not intend to use.\n"},
  {"UseOpenGLOff", PyvtkIceTContext_UseOpenGLOff, METH_VARARGS,
   "V.UseOpenGLOff()\nC++: virtual void UseOpenGLOff()\n\nTurn this on to enable the OpenGL layer in IceT.  By default this\nis off. Unless you explicitly plan to use the OpenGL layer, it\nshould probably remain off to ensure that you don't accidentally\nuse a feature you did not intend to use.\n"},
  {"CopyState", PyvtkIceTContext_CopyState, METH_VARARGS,
   "V.CopyState(vtkIceTContext)\nC++: virtual void CopyState(vtkIceTContext *src)\n\nCopy the state from the given context to this context.\n"},
  {"IsValid", PyvtkIceTContext_IsValid, METH_VARARGS,
   "V.IsValid() -> int\nC++: virtual int IsValid()\n\nReturns true if the current state is valid.\n"},
  {nullptr, nullptr, 0, nullptr}
};

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkIceTContext_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingViews.vtkIceTContext", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkIceTContext_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkIceTContext_StaticNew()
{
  return vtkIceTContext::New();
}

PyObject *PyvtkIceTContext_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkIceTContext_Type, PyvtkIceTContext_Methods,
    "vtkIceTContext",
 &PyvtkIceTContext_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindClassTypeObject("vtkObject");

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkIceTContext(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkIceTContext_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkIceTContext", o) != 0)
  {
    Py_DECREF(o);
  }

}

