// python wrapper for vtkPVEncodeSelectionForServer
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkPVEncodeSelectionForServer.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkPVEncodeSelectionForServer(PyObject *dict); }
extern "C" { PyObject *PyvtkPVEncodeSelectionForServer_ClassNew(); }


static const char *PyvtkPVEncodeSelectionForServer_Doc =
  "vtkPVEncodeSelectionForServer - Convert a client-side selection into\nproxies holding\n         server-side selection sources.\n\n"
  "Superclass: vtkObject\n\n"
  "In ParaView, selection occurs on the client using a framebuffer whose\n"
  "pixel-values have associated prop, cell, and point IDs obtained by\n"
  "compositing images rendered on each server. The selection is then\n"
  "simplified and broadcast to the server(s) where representations are\n"
  "provided access.\n\n"
  "By subclassing this object and registering a vtkObjectFactory\n"
  "override, it is possible for applications to get access to the raw\n"
  "selection (with prop IDs and other information) that is created on\n"
  "the client before it is simplified, serialized, and sent to the\n"
  "server.\n\n";


static PyObject *
PyvtkPVEncodeSelectionForServer_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkPVEncodeSelectionForServer::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVEncodeSelectionForServer_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEncodeSelectionForServer *op = static_cast<vtkPVEncodeSelectionForServer *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkPVEncodeSelectionForServer::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVEncodeSelectionForServer_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkPVEncodeSelectionForServer *tempr = vtkPVEncodeSelectionForServer::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVEncodeSelectionForServer_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEncodeSelectionForServer *op = static_cast<vtkPVEncodeSelectionForServer *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkPVEncodeSelectionForServer *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkPVEncodeSelectionForServer::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkPVEncodeSelectionForServer_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkPVEncodeSelectionForServer::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVEncodeSelectionForServer_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEncodeSelectionForServer *op = static_cast<vtkPVEncodeSelectionForServer *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkPVEncodeSelectionForServer::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkPVEncodeSelectionForServer_ProcessSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ProcessSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEncodeSelectionForServer *op = static_cast<vtkPVEncodeSelectionForServer *>(vp);

  vtkSelection *temp0 = nullptr;
  vtkSMRenderViewProxy *temp1 = nullptr;
  bool temp2 = false;
  vtkCollection *temp3 = nullptr;
  vtkCollection *temp4 = nullptr;
  int temp5;
  bool temp6 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(7) &&
      ap.GetVTKObject(temp0, "vtkSelection") &&
      ap.GetVTKObject(temp1, "vtkSMRenderViewProxy") &&
      ap.GetValue(temp2) &&
      ap.GetVTKObject(temp3, "vtkCollection") &&
      ap.GetVTKObject(temp4, "vtkCollection") &&
      ap.GetValue(temp5) &&
      ap.GetValue(temp6))
  {
    bool tempr = (ap.IsBound() ?
      op->ProcessSelection(temp0, temp1, temp2, temp3, temp4, temp5, temp6) :
      op->vtkPVEncodeSelectionForServer::ProcessSelection(temp0, temp1, temp2, temp3, temp4, temp5, temp6));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkPVEncodeSelectionForServer_Methods[] = {
  {"IsTypeOf", PyvtkPVEncodeSelectionForServer_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkPVEncodeSelectionForServer_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkPVEncodeSelectionForServer_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkPVEncodeSelectionForServer\nC++: static vtkPVEncodeSelectionForServer *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkPVEncodeSelectionForServer_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkPVEncodeSelectionForServer\nC++: vtkPVEncodeSelectionForServer *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkPVEncodeSelectionForServer_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBaseType(string) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkPVEncodeSelectionForServer_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBase(string) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"ProcessSelection", PyvtkPVEncodeSelectionForServer_ProcessSelection, METH_VARARGS,
   "V.ProcessSelection(vtkSelection, vtkSMRenderViewProxy, bool,\n    vtkCollection, vtkCollection, int, bool) -> bool\nC++: virtual bool ProcessSelection(vtkSelection *rawSelection,\n    vtkSMRenderViewProxy *viewProxy,\n    bool multipleSelectionsAllowed,\n    vtkCollection *selectedRepresentations,\n    vtkCollection *selectionSources, int modifier,\n    bool selectBlocks)\n\nPopulate the selection sources given a raw (client-side)\nselection.\n\nThis should return true on success (i.e., when selectionSources\nis modified) and false on failure.\n\nThis method is invoked by\nvtkSMRenderViewProxy::FetchLastSelection. By default, this method\nwill call vtkShrinkSelection if multiple_selections is false and\nthen use vtkSMSelectionHelper::NewSelectionSourcesFromSelection\nto create a selection-source object from the selection.\nSubclasses may override this method and register themselves with\nthe object factory to change the behavior at runtime.\n\nThe last 2 arguments are not used by the default implementation\nbut are passed for subclasses; + modifier may be any value in\npqView::SelectionModifier but defaults\n  to 0 (which is used when the selection should replace any prior\nselection). + selectBlocks indicates whether the selected\nentities themselves\n  or the blocks containing them should be selected.\n"},
  {nullptr, nullptr, 0, nullptr}
};

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkPVEncodeSelectionForServer_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingViews.vtkPVEncodeSelectionForServer", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkPVEncodeSelectionForServer_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkPVEncodeSelectionForServer_StaticNew()
{
  return vtkPVEncodeSelectionForServer::New();
}

PyObject *PyvtkPVEncodeSelectionForServer_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkPVEncodeSelectionForServer_Type, PyvtkPVEncodeSelectionForServer_Methods,
    "vtkPVEncodeSelectionForServer",
 &PyvtkPVEncodeSelectionForServer_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#ifndef VTK_PY3K
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindClassTypeObject("vtkObject");

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkPVEncodeSelectionForServer(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkPVEncodeSelectionForServer_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkPVEncodeSelectionForServer", o) != 0)
  {
    Py_DECREF(o);
  }

}

