// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef BagPlotViewsAndFilters_server_manager_data_h
#define BagPlotViewsAndFilters_server_manager_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/BagPlotViewsAndFilters/BagPlotViewsAndFilters.xml
static const char* const BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkPVExtractBagPlots\"\n"
"                 label=\"Extract Bag Plots\"\n"
"                 name=\"ExtractBagPlots\">\n"
"      <Documentation long_help=\"Extract Bag Plots.\"\n"
"                     short_help=\"Extract tables used to display Bag Plots\n"
"                     views.\">\n"
"                     </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                    name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"row\"\n"
"                          name=\"input_aray\"\n"
"                          number_of_components=\"1\"/>\n"
"        <Documentation>This property specifies the input to the\n"
"        filter.</Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty clean_command=\"ClearAttributeArrays\"\n"
"                            command=\"EnableAttributeArray\"\n"
"                            label=\"Variables of Interest\"\n"
"                            name=\"SelectArrays\"\n"
"                            number_of_elements_per_command=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <ArrayListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>Choose arrays whose entries will be used to form\n"
"        observations for statistical analysis.</Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseSilvermanRule\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseSilvermanRule\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This flag indicates kernel width must be automatically\n"
"        computed using Silverman's rules (sigma*n^(-1/(d+4))).</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetKernelWidth\"\n"
"                         default_values=\"1\"\n"
"                         name=\"KernelWidth\"\n"
"                         number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"UseSilvermanRule\"\n"
"                                   value=\"0\" />\n"
"          <!-- show this widget when UseSilvermanRule==0 -->\n"
"        </Hints>\n"
"        <Documentation>Specify the kernel width used to compute the HDR.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetGridSize\"\n"
"                         default_values=\"100\"\n"
"                         name=\"GridSize\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"1\" name=\"grid_range\"/>\n"
"        <Documentation>Width and height of the grid image to perform the PCA on.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUserQuantile\"\n"
"                         default_values=\"95\"\n"
"                         name=\"UserQuantile\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"0\" max=\"100\" name=\"range\"/>\n"
"        <Documentation>\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetTransposeTable\"\n"
"                         default_values=\"1\"\n"
"                         name=\"TransposeTable\"\n"
"                         label=\"Process the transposed of the input table\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This flag indicates if the input table must\n"
"        be transposed first.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetRobustPCA\"\n"
"                         default_values=\"0\"\n"
"                         name=\"RobustPCA\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>This flag indicates if the PCA should be run\n"
"        in robust mode or not.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfProjectionAxes\"\n"
"                         default_values=\"2\"\n"
"                         name=\"NumberOfProjectionAxes\"\n"
"                         number_of_elements=\"1\">\n"
"        <IntRangeDomain min=\"2\" max=\"10\" name=\"range\"/>\n"
"        <Documentation> This allows to set the number of PCA projection axis\n"
"        determining the final computed variables\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- View can be used to specify the preferred view for the proxy -->\n"
"      <Hints>\n"
"        <ShowInMenu category=\"Statistics\" icon=\":/BagPlotViewsAndFilters/Icons/pqFunctionalBagChart16.png\" />\n"
"        <Visibility replace_input=\"0\" />\n"
"        <PipelineIcon name=\":/BagPlotViewsAndFilters/Icons/pqFunctionalBagChart16.png\" />\n"
"        <View type=\"XYFunctionalBagChartView\" port=\"0\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"\n"
"      <!-- End ExtractBagPlots -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"representations\">\n"
"    <ChartRepresentationProxy base_proxygroup=\"representations\"\n"
"                              base_proxyname=\"PlotMatrixRepresentation\"\n"
"                              class=\"vtkPVBagPlotMatrixRepresentation\"\n"
"                              name=\"BagPlotMatrixRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>Representation used by BagPlotMatrixView.</Documentation>\n"
"      <IntVectorProperty command=\"SetCompositeDataSetIndex\"\n"
"                   default_values=\"2\"\n"
"                   number_of_elements=\"1\"\n"
"                   name=\"CompositeDataSetIndex\"\n"
"                   override=\"1\">\n"
"        <CompositeTreeDomain mode=\"leaves\" name=\"tree\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </CompositeTreeDomain>\n"
"        <Documentation>\n"
"          This property lists the ids of the blocks to extract\n"
"          from the input multiblock dataset.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <NoDefault/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy class=\"vtkPVBagChartRepresentation\"\n"
"                              name=\"XYBagChartRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\" >\n"
"      <Documentation>Representation used by XYBagChartView.</Documentation>\n"
"\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty clean_command=\"ResetCompositeDataSetIndices\"\n"
"                   command=\"AddCompositeDataSetIndex\"\n"
"                   default_values=\"2 3 4\"\n"
"                   number_of_elements=\"3\"\n"
"                   name=\"CompositeDataSetIndex\"\n"
"                   number_of_elements_per_command=\"1\"\n"
"                   panel_visibility=\"default\"\n"
"                   repeat_command=\"1\">\n"
"        <CompositeTreeDomain mode=\"leaves\" name=\"tree\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </CompositeTreeDomain>\n"
"        <Documentation>\n"
"          This property lists the ids of the blocks to extract\n"
"          from the input multiblock dataset.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <NoDefault/>\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFieldAssociation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AttributeType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Select the attribute data to render.</Documentation>\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseIndexForXAxis\"\n"
"                         default_values=\"0\"\n"
"                         name=\"UseIndexForXAxis\"\n"
"                         number_of_elements=\"1\">\n"
"        <!-- We deliberately don't use ChartUseIndexForAxisDomain domain here\n"
"             since we don't want the property's default to be updated at runtime\n"
"             using the value for XArrayName.\n"
"        -->\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>When set, the array index will be used for X axis,\n"
"        otherwise the array identified by XAxisSeriesName will be\n"
"        used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetXAxisSeriesName\"\n"
"                            default_values=\"x\"\n"
"                            name=\"XArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the array to use on X axis. This is used only when\n"
"        UseIndexForXAxis is set to 0.</Documentation>\n"
"        <BagChartSeriesListDomain name=\"array_list\"\n"
"                                  hide_partial_arrays=\"0\"\n"
"                                  array_type=\"x\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </BagChartSeriesListDomain>\n"
"        <Hints>\n"
"          <!-- the widget for this property is only enabled, when\n"
"          UseIndexForXAxis is unchecked. -->\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseIndexForXAxis\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetYAxisSeriesName\"\n"
"                            default_values=\"\"\n"
"                            name=\"YArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the bag plot Y serie.</Documentation>\n"
"        <BagChartSeriesListDomain name=\"array_list\"\n"
"                                  hide_partial_arrays=\"0\"\n"
"                                  array_type=\"y\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </BagChartSeriesListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetDensitySeriesName\"\n"
"                            default_values=\"\"\n"
"                            name=\"DensityArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the bag plot density serie.</Documentation>\n"
"        <BagChartSeriesListDomain name=\"array_list\"\n"
"                                  hide_partial_arrays=\"0\"\n"
"                                  array_type=\"density\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </BagChartSeriesListDomain>\n"
"      </StringVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetBagColor\"\n"
"                            name=\"BagColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"1.0 0.0 0.0\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series bag color.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
;

// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/BagPlotViewsAndFilters/BagPlotViewsAndFilters.xml
static const char* const BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface1 =
"      <DoubleVectorProperty command=\"SetLineColor\"\n"
"                            name=\"LineColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series points color.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetLineThickness\"\n"
"                         name=\"LineThickness\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series line thickness.</Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetLineStyle\"\n"
"                         name=\"LineStyle\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series line style.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" />\n"
"          <Entry text=\"Solid\" value=\"1\" />\n"
"          <Entry text=\"Dash\" value=\"2\" />\n"
"          <Entry text=\"Dot\" value=\"3\" />\n"
"          <Entry text=\"Dash Dot\" value=\"4\" />\n"
"          <Entry text=\"Dash Dot Dot\" value=\"5\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPointColor\"\n"
"                            name=\"PointColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.0 0.0 0.0\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series points color.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetPointSize\"\n"
"                            default_values=\"1\"\n"
"                            name=\"PointSize\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the size of the points.</Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10\" />\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetPUserColor\"\n"
"                                  name=\"PUserColor\"\n"
"                                  number_of_elements=\"3\"\n"
"                                  default_values=\"0.5 0.0 0.5\"\n"
"                                  panel_widget=\"color_selector\"\n"
"                                  panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series P99 color.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetP50Color\"\n"
"                            name=\"P50Color\"\n"
"                            number_of_elements=\"3\"\n"
"                            default_values=\"0.2 0.0 0.2\"\n"
"                            panel_widget=\"color_selector\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series P50 color.</Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetGridLineThickness\"\n"
"                         name=\"GridLineThickness\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"2\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series line thickness.</Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetGridLineStyle\"\n"
"                         name=\"GridLineStyle\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Set the series line style.</Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"None\" value=\"0\" />\n"
"          <Entry text=\"Solid\" value=\"1\" />\n"
"          <Entry text=\"Dash\" value=\"2\" />\n"
"          <Entry text=\"Dot\" value=\"3\" />\n"
"          <Entry text=\"Dash Dot\" value=\"4\" />\n"
"          <Entry text=\"Dash Dot Dot\" value=\"5\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <PropertyGroup label=\"Plot Axis\"\n"
"                     panel_visibility=\"default\" >\n"
"        <Property name=\"UseIndexForXAxis\" />\n"
"        <Property name=\"XArrayName\" />\n"
"        <Property name=\"YArrayName\" />\n"
"        <Property name=\"DensityArrayName\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Bag Styling\"\n"
"                     panel_visibility=\"default\" >\n"
"        <Property name=\"BagColor\" />\n"
"        <Property name=\"LineThickness\" />\n"
"        <Property name=\"LineStyle\" />\n"
"        <Property name=\"LineColor\" />\n"
"        <Property name=\"PointSize\" />\n"
"        <Property name=\"PointColor\" />\n"
"      </PropertyGroup>\n"
"      <PropertyGroup label=\"Grid Styling\"\n"
"                     panel_visibility=\"default\" >\n"
"        <Property name=\"PUserColor\" />\n"
"        <Property name=\"P50Color\" />\n"
"        <Property name=\"GridLineThickness\" />\n"
"        <Property name=\"GridLineStyle\" />\n"
"      </PropertyGroup>\n"
"      <!--\n"
"          Set the palette SelectionColor color to all the plots in the chart.\n"
"        -->\n"
"      <DoubleVectorProperty command=\"SetSelectionColor\"\n"
"                            default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"Color\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"never\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SelectionColor\"\n"
"            unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <SubProxy command=\"SetSelectionRepresentation\">\n"
"        <!--\n"
"          SelectionRepresentation proxy is used to convey the selection to view.\n"
"          We keep this separate as subproxy so that when the selection is\n"
"          modified, we don't have to update the representation as well, we can\n"
"          only update the SelectionRepresentation.\n"
"        -->\n"
"        <RepresentationProxy name=\"SelectionRepresentation\"\n"
"               class=\"vtkChartSelectionRepresentation\"\n"
"               processes=\"client|dataserver|renderserver\">\n"
"          <InputProperty command=\"SetInputConnection\"\n"
"                         name=\"OriginalSelectionInput\"/>\n"
"        </RepresentationProxy>\n"
"      </SubProxy>\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy class=\"vtkXYChartRepresentation\"\n"
"                              name=\"XYFunctionalBagChartRepresentation\"\n"
"                              processes=\"client|dataserver|renderserver\"\n"
"                              post_creation=\"SetChartTypeToFunctionalBag\">\n"
"      <Documentation>Representation used by XYFunctionalBagChartView.</Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <Documentation>Data input for the representation.</Documentation>\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Visibility of the representation.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetForceUseCache\"\n"
"                         default_values=\"0\"\n"
"                         is_internal=\"1\"\n"
"                         name=\"ForceUseCache\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty command=\"SetForcedCacheKey\"\n"
"                            default_values=\"none\"\n"
"                            is_internal=\"1\"\n"
"                            name=\"ForcedCacheKey\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>Typically UseCache and CacheKey are updated by the View\n"
"        and representations cache based on what the view tells it. However in\n"
"        some cases we may want to force a representation to cache irrespective\n"
"        of the view (e.g. comparative views). In which case these ivars can up\n"
"        set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"        Instead, ForcedCacheKey is used.</Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetCompositeDataSetIndex\"\n"
"                         default_values=\"1\"\n"
"                         name=\"CompositeDataSetIndex\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          In case of Composite datasets, set the flat index of the\n"
"          dataset to pass. The flat index must point to a non-empty,\n"
"          non-composite dataset for anything to be passed through. If the input\n"
"          is not a composite dataset, then this index is ignored.\n"
"        </Documentation>\n"
"        <CompositeTreeDomain mode=\"leaves\"\n"
"                             name=\"tree\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </CompositeTreeDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFieldAssociation\"\n"
"                         default_values=\"0\"\n"
"                         name=\"AttributeType\"\n"
"                         number_of_elements=\"1\">\n"
"        <Documentation>Select the attribute data to render.</Documentation>\n"
"        <FieldDataDomain enable_field_data=\"1\"\n"
"                         name=\"enum\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetUseIndexForXAxis\"\n"
"                         default_values=\"1\"\n"
"                         name=\"UseIndexForXAxis\"\n"
"                         number_of_elements=\"1\">\n"
"        <ChartUseIndexForAxisDomain name=\"bool\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArraySelection\" name=\"XArrayName\" />\n"
"          </RequiredProperties>\n"
"        </ChartUseIndexForAxisDomain>\n"
"        <Documentation>When set, the array index will be used for X axis,\n"
"        otherwise the array identified by XArrayName will be\n"
"        used.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetXAxisSeriesName\"\n"
"                            default_values=\"\"\n"
"                            name=\"XArrayName\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>Set the array to use on X axis. This is used only when\n"
"        UseIndexForXAxis is set to 0.</Documentation>\n"
"        <ChartSeriesListDomain name=\"array_list\"\n"
"                               hide_partial_arrays=\"0\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"          </RequiredProperties>\n"
"        </ChartSeriesListDomain>\n"
"        <Hints>\n"
"          <!-- the widget for this property is only enabled, when\n"
"          UseIndexForXAxis is unchecked. -->\n"
"          <PropertyWidgetDecorator type=\"EnableWidgetDecorator\">\n"
"            <Property name=\"UseIndexForXAxis\" function=\"boolean_invert\" />\n"
"          </PropertyWidgetDecorator>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <PropertyGroup label=\"X Axis Parameters\">\n"
"        <Property name=\"UseIndexForXAxis\" />\n"
"        <Property name=\"XArrayName\" />\n"
"      </PropertyGroup>\n"
"      <StringVectorProperty command=\"SetLabel\"\n"
"                            clean_command=\"ClearLabels\"\n"
"                            element_types=\"2 2\"\n"
"                            name=\"SeriesLabel\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series labels.</Documentation>\n"
"        <FunctionalBagChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"label\"\n"
"                                    flatten_table=\"false\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </FunctionalBagChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetColor\"\n"
"                            clean_command=\"ClearColors\"\n"
"                            element_types=\"2 1 1 1\"\n"
"                            name=\"SeriesColor\"\n"
"                            number_of_elements_per_command=\"4\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series line/bar color.</Documentation>\n"
"        <FunctionalBagChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"color\"\n"
"                                    flatten_table=\"false\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
;

// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/BagPlotViewsAndFilters/BagPlotViewsAndFilters.xml
static const char* const BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface2 =
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </FunctionalBagChartSeriesSelectionDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetChartType\"\n"
"                         default_values=\"5\"\n"
"                         name=\"ChartType\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Line\" value=\"0\" />\n"
"          <Entry text=\"Bar\" value=\"2\" />\n"
"          <Entry text=\"Bag\" value=\"4\" />\n"
"          <Entry text=\"FunctionalBag\" value=\"5\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetFlattenTable\"\n"
"                         default_values=\"0\"\n"
"                         name=\"FlattenTable\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"never\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Flatten the table, i.e. split any multicomponent\n"
"        columns into separate components.</Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetSeriesVisibility\"\n"
"                            clean_command=\"ClearSeriesVisibilities\"\n"
"                            element_types=\"2 0\"\n"
"                            name=\"SeriesVisibility\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            repeat_command=\"1\">\n"
"        <Documentation>Set the series visibility.</Documentation>\n"
"        <FunctionalBagChartSeriesSelectionDomain name=\"array_list\"\n"
"                                    hide_partial_arrays=\"0\"\n"
"                                    default_mode=\"visibility\"\n"
"                                    flatten_table=\"false\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"            <Property function=\"FieldDataSelection\" name=\"AttributeType\" />\n"
"            <Property function=\"CompositeIndexSelection\" name=\"CompositeDataSetIndex\" />\n"
"          </RequiredProperties>\n"
"        </FunctionalBagChartSeriesSelectionDomain>\n"
"        <Hints>\n"
"          <!-- when present, the SeriesEditor widget will allow user to\n"
"          re-order the series which will affect the rendered plot -->\n"
"          <SeriesEditor supports_reordering=\"1\" />\n"
"        </Hints>\n"
"\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"LastPresetName\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"Spectrum\"\n"
"                            panel_visibility=\"never\">\n"
"      <Documentation>Dummy property containing last color preset name.\n"
"        The property widget can set it when a preset is applied, and the domain can read it when a default color is requested.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Series Parameters\"\n"
"                     panel_widget=\"SeriesEditor\"\n"
"                     panel_visibility=\"default\" >\n"
"        <Property name=\"SeriesVisibility\"\n"
"                  function=\"SeriesVisibility\" />\n"
"        <Property name=\"SeriesColor\"\n"
"                  function=\"SeriesColor\" />\n"
"        <Property name=\"SeriesLabel\"\n"
"                  function=\"SeriesLabel\" />\n"
"        <Property name=\"LastPresetName\"\n"
"                  function=\"LastPresetName\"/>\n"
"      </PropertyGroup>\n"
"      <!--\n"
"          Set the palette SelectionColor color to all the plots in the chart.\n"
"        -->\n"
"      <DoubleVectorProperty command=\"SetSelectionColor\"\n"
"                            default_values=\"1.0 0.0 1.0\"\n"
"                            name=\"Color\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_visibility=\"never\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <PropertyLink group=\"settings\" proxy=\"ColorPalette\" property=\"SelectionColor\"\n"
"            unlink_if_modified=\"1\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"      <SubProxy command=\"SetSelectionRepresentation\">\n"
"        <!--\n"
"          SelectionRepresentation proxy is used to convey the selection to view.\n"
"          We keep this separate as subproxy so that when the selection is\n"
"          modified, we don't have to update the representation as well, we can\n"
"          only update the SelectionRepresentation.\n"
"        -->\n"
"        <RepresentationProxy name=\"SelectionRepresentation\"\n"
"               class=\"vtkChartSelectionRepresentation\"\n"
"               processes=\"client|dataserver|renderserver\">\n"
"          <InputProperty command=\"SetInputConnection\"\n"
"                         name=\"OriginalSelectionInput\"/>\n"
"        </RepresentationProxy>\n"
"      </SubProxy>\n"
"    </ChartRepresentationProxy>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"views\">\n"
"    <PlotMatrixViewProxy base_proxygroup=\"views\"\n"
"                         base_proxyname=\"PlotMatrixView\"\n"
"                         class=\"vtkPVBagPlotMatrixView\"\n"
"                         name=\"BagPlotMatrixView\"\n"
"                         label=\"Bag Plot Matrix View\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         representation_name=\"BagPlotMatrixRepresentation\"\n"
"                         skip_plotable_check=\"1\">\n"
"      <Documentation>This is the proxy for the bag plot matrix\n"
"      view.</Documentation>\n"
"      <StringVectorProperty command=\"SetTitle\"\n"
"                            name=\"ChartTitle\"\n"
"                            number_of_elements=\"1\"\n"
"                            override=\"1\"\n"
"                            default_values=\"Explained Variance: {variance}%\">\n"
"        <Documentation>\n"
"          Set the title to use for the bag plot matrix view.\n"
"          Use {variance} to display the explained variance and {time} to display the current time.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PlaceholderText>Use {variance} to display explained variance</PlaceholderText>\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"    </PlotMatrixViewProxy>\n"
"  <!-- ================================================================== -->\n"
"    <ContextViewProxy base_proxygroup=\"internal_views\"\n"
"                      base_proxyname=\"XYChartViewBase\"\n"
"                      class=\"vtkPVXYChartView\"\n"
"                      name=\"XYBagChartView\"\n"
"                      label=\"Bag Chart View\"\n"
"                      processes=\"client|renderserver|dataserver\"\n"
"                      representation_name=\"XYBagChartRepresentation\"\n"
"                      post_creation=\"SetChartTypeToBag\" >\n"
"      <Documentation>This is the proxy for bag chart view.</Documentation>\n"
"    </ContextViewProxy>\n"
"  <!-- ================================================================== -->\n"
"    <ContextViewProxy base_proxygroup=\"internal_views\"\n"
"                      base_proxyname=\"XYChartViewBase\"\n"
"                      class=\"vtkPVXYChartView\"\n"
"                      name=\"XYFunctionalBagChartView\"\n"
"                      label=\"FunctionalBag Chart View\"\n"
"                      processes=\"client|renderserver|dataserver\"\n"
"                      representation_name=\"XYFunctionalBagChartRepresentation\"\n"
"                      post_creation=\"SetChartTypeToFunctionalBag\" >\n"
"      <Documentation>This is the proxy for functional bag chart view.</Documentation>\n"
"    </ContextViewProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersGetInterfaces()
{

  const size_t len0 = strlen(BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface0);
  const size_t len1 = strlen(BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface1);
  const size_t len2 = strlen(BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface2);
  size_t len = ( 0
    + len0
    + len1
    + len2 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface0, BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface0 + len0, res + offset); offset += len0;
  std::copy(BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface1, BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface1 + len1, res + offset); offset += len1;
  std::copy(BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface2, BagPlotViewsAndFilters_server_managerBagPlotViewsAndFiltersInterface2 + len2, res + offset); offset += len2;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
