// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef CDIReader_server_manager_modules_data_h
#define CDIReader_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/CDIReader/Reader/CDIReader.xml
static const char* const CDIReader_server_manager_modulesCDIReaderInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"    <Proxy name=\"CDIReader\"\n"
"           class=\"vtkCDIReader\"\n"
"           label=\"CDIReader\">\n"
"      <Documentation long_help=\"Reads CDI/ICON netCDF data.\"\n"
"                     short_help=\"Reads CDI/ICON netCDF data.\">\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            animateable=\"0\"\n"
"                            command=\"SetFileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          This property specifies the netCDF file name for the CDI/ICON reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"GetAllDimensions\"\n"
"                            information_only=\"1\"\n"
"                            name=\"DimensionInfo\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty animatelable=\"0\"\n"
"                            command=\"SetDimensions\"\n"
"                            name=\"Dimensions\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <StringListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\"\n"
"                      name=\"DimensionInfo\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>\n"
"          Load the grid with the given dimensions.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"GetVariableDimensions\"\n"
"                            information_only=\"1\"\n"
"                            name=\"VariableDimensionInfo\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty command=\"GetAllVariableArrayNames\"\n"
"                            information_only=\"1\"\n"
"                            name=\"VariableArrayInfo\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PointArrayInfo\"\n"
"                            information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PointArrayStatus\"\n"
"                            command=\"SetPointArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"PointArrayInfo\" >\n"
"        <ArraySelectionDomain name=\"array_list\" >\n"
"          <RequiredProperties>\n"
"            <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This list shows the available ICON point variables.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayInfo\"\n"
"                            information_only=\"1\" >\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayStatus\"\n"
"                            command=\"SetCellArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\" >\n"
"        <ArraySelectionDomain name=\"array_list\" >\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This list shows the available ICON cell variables.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"DomainArrayInfo\"\n"
"                            information_only=\"1\" >\n"
"        <ArraySelectionInformationHelper attribute_name=\"Domain\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"DomainArrayStatus\"\n"
"                            command=\"SetDomainArrayStatus\"\n"
"                            number_of_elements=\"2\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"DomainArrayInfo\" >\n"
"        <ArraySelectionDomain name=\"array_list\" >\n"
"          <RequiredProperties>\n"
"            <Property name=\"DomainArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          This list shows the available ICON domain variables (for simulation performance analysis).\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SetProjection\"\n"
"                         label=\"Set Projection: \"\n"
"                         command=\"SetProjection\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Spherical Projection\"/>\n"
"          <Entry value=\"1\" text=\"Lon/Lat Projection\"/>\n"
"          <Entry value=\"2\" text=\"Cassini Projection\"/>\n"
"          <Entry value=\"3\" text=\"Mollweide Projection\"/>\n"
"          <Entry value=\"4\" text=\"Catalyst (no scaling)\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Select one out of four different projections for the data. The default is lon/lat projection.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseTopography\"\n"
"                         label=\"Use Topography (wet_c)\"\n"
"                         command=\"SetTopography\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Switch on to remove land structure contained in the variable \"wet_c\".\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SetInvertTopography\"\n"
"                         label=\"Use Land/Sea for Masking (Off = Sea; On = Land)\"\n"
"                         command=\"InvertTopography\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Switch to either remove land or sea structure contained within the variable \"wet_c\".\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"InvertZ\"\n"
"                         label=\"Invert Z-Axis\"\n"
"                         command=\"SetInvertZAxis\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Switch on to invert the rendering of the z-axis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Show3DSurface\"\n"
"                         label=\"Show 3D Surface\"\n"
"                         command=\"SetShowMultilayerView\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Switch on for 3D rendering of the data. 2D arrays show the same data on all levels.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Read/OutputDoublePrecision\"\n"
"                         label=\"Read/Output Double Precision\"\n"
"                         command=\"SetDoublePrecision\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Switch between single and double precision output.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LayerThicknessRangeInfo\"\n"
"                         command=\"GetLayerThicknessRange\"\n"
"                         information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LayerThickness\"\n"
"                         label=\"3D Surface Thickness\"\n"
"                         command=\"SetLayerThickness\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"10\">\n"
"        <IntRangeDomain name=\"LayerThicknessRange\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"LayerThicknessRangeInfo\" function=\"Range\"/>\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>\n"
"          Adjust the layer thickness for 3D rendering.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <Visibility replace_input=\"1\" />\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"VerticalLevelRangeInfo\"\n"
"                         command=\"GetVerticalLevelRange\"\n"
"                         information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"VerticalLevel\"\n"
"                         command=\"SetVerticalLevel\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" >\n"
"          <RequiredProperties>\n"
"            <Property name=\"VerticalLevelRangeInfo\" function=\"Range\"/>\n"
"          </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>\n"
"          Adjust the vertical level that is displayed. This is only available for 3D data sets.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"TimestepValues\"\n"
"                            repeatable=\"1\"\n"
"                            information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkFileSeriesReader\"\n"
"                 file_name_method=\"SetFileName\"\n"
"                 label=\"CDIReader\"\n"
"                 name=\"CDISeriesReader\"\n"
"                 si_class=\"vtkSIMetaReaderProxy\">\n"
"      <Documentation long_help=\"Reads ICON netCDF data.\"\n"
"                     short_help=\"Read ICON netCDF data.\"></Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"CDIReader\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"DimensionInfo\" />\n"
"          <Property name=\"Dimensions\" />\n"
"          <Property name=\"VariableDimensionInfo\" />\n"
"          <Property name=\"VariableArrayInfo\" />\n"
"          <Property name=\"PointArrayInfo\" />\n"
"          <Property name=\"PointArrayStatus\" />\n"
"          <Property name=\"CellArrayInfo\" />\n"
"          <Property name=\"CellArrayStatus\" />\n"
"          <Property name=\"DomainArrayInfo\" />\n"
"          <Property name=\"DomainArrayStatus\" />\n"
"          <Property name=\"SetProjection\" />\n"
"          <Property name=\"UseTopography\" />\n"
"          <Property name=\"SetInvertTopography\" />\n"
"          <Property name=\"InvertZ\" />\n"
"          <Property name=\"Show3DSurface\" />\n"
"          <Property name=\"Read/OutputDoublePrecision\" />\n"
"          <Property name=\"LayerThicknessRangeInfo\" />\n"
"          <Property name=\"LayerThickness\" />\n"
"          <Property name=\"VerticalLevelRangeInfo\" />\n"
"          <Property name=\"VerticalLevel\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <StringVectorProperty command=\"GetCurrentFileName\"\n"
"                            information_only=\"1\"\n"
"                            name=\"FileNameInfo\">\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty animateable=\"0\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileNames\"\n"
"                            number_of_elements=\"0\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          The list of files to be read by the reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>\n"
"          This magic property sends time information to the animation panel. ParaView will\n"
"          automatically set up the animation to visit the time steps defined in the file.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"nc\"\n"
"                       file_description=\"ICON/CDI netCDF files\" />\n"
"      </Hints>\n"
"\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* CDIReader_server_manager_modulesCDIReaderGetInterfaces()
{

  const size_t len0 = strlen(CDIReader_server_manager_modulesCDIReaderInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(CDIReader_server_manager_modulesCDIReaderInterface0, CDIReader_server_manager_modulesCDIReaderInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
