// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef EmbossingRepresentations_server_manager_modules_data_h
#define EmbossingRepresentations_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/EmbossingRepresentations/Representations/EmbossingRepresentations.xml
static const char* const EmbossingRepresentations_server_manager_modulesEmbossingRepresentationsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"representations\">\n"
"    <RepresentationProxy name=\"BumpMapRepresentation\"\n"
"      class=\"vtkBumpMapRepresentation\"\n"
"      processes=\"client|renderserver|dataserver\"\n"
"      base_proxygroup=\"representations\"\n"
"      base_proxyname=\"SurfaceRepresentation\">\n"
"      <Documentation>\n"
"        This representation displays the input data with a bump mapping effect\n"
"        on the surface according an input data array.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"BumpMapInputDataArray\"\n"
"                            label=\"Data Array\"\n"
"                            command=\"SetInputDataArray\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"0 0 0 0 2\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"input_array_point_1\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          Select the data used to compute bump mapping.\n"
"          Only scalar point data arrays are accepted.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BumpMappingFactor\"\n"
"                            label=\"Factor\"\n"
"                            command=\"SetBumpMappingFactor\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"10\">\n"
"        <Documentation>\n"
"          Set the factor to increase or decrease bump mapping effect.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"    </RepresentationProxy>\n"
"\n"
"    <RepresentationProxy name=\"ExtrusionRepresentation\"\n"
"                         class=\"vtkExtrusionRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         base_proxygroup=\"representations\"\n"
"                         base_proxyname=\"SurfaceRepresentation\">\n"
"      <Documentation>\n"
"        This representation extrudes cells or generate height field depending\n"
"        on the selected data array type.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"ExtrusionInputDataArray\"\n"
"                            label=\"Data Array\"\n"
"                            command=\"SetInputDataArray\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"0 0 0 0 2\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"inputs_array\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          Select a cell data array in order to extrude cells.\n"
"          Select a point data array in order to generate a height field.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ExtrusionFactor\"\n"
"                            label=\"Factor\"\n"
"                            command=\"SetExtrusionFactor\"\n"
"                            default_values=\"10\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set a factor used to determine the height of extrusion.\n"
"          This parameter can be negative or positive.\n"
"          The value is a percentage of a characteristic length of the model.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ExtrusionNormalizeData\"\n"
"                         label=\"Normalize Data\"\n"
"                         command=\"SetNormalizeData\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When enabled, data will be normalized, otherwise raw values will be\n"
"          used for the extrusion.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ExtrusionAutoScaling\"\n"
"                         label=\"Auto scaling\"\n"
"                         command=\"SetAutoScaling\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable autoscaling based on actual range of values.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"ExtrusionNormalizeData\"\n"
"                                   value=\"1\" />\n"
"          <!-- enable this widget when ExtrusionNormalizeData==1 -->\n"
"        </Hints>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ExtrusionScalingRange\"\n"
"                            label=\"Range\"\n"
"                            command=\"SetScalingRange\"\n"
"                            default_values=\"0 1\"\n"
"                            number_of_elements=\"2\"\n"
"                            panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"          Set an absolude data range. All values outside this range will be clamped.\n"
"          These parameters can be either negative or positive.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"ExtrusionPropertyWidgetDecorator\" />\n"
"          <!-- enable this widget when ExtrusionAutoScaling==1 && ExtrusionNormalizeData==0 -->\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ExtrusionBasisVisibility\"\n"
"                         label=\"Draw basis\"\n"
"                         command=\"SetBasisVisibility\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Set the visibility of the basis i.e. the initial cell. This option\n"
"          only has an effect if input data array is a cell data array.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- BumpMap Representation extensions -->\n"
"\n"
"    <Extension name=\"GeometryRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard GeometryRepresentation by adding\n"
"        BumpMapRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"BumpMapRepresentation\"\n"
"                          text=\"Bump Mapped Surface\"/>\n"
"      <SubProxy>\n"
"        <Proxy name=\"BumpMapRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"BumpMapRepresentation\"/>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\"/>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Bump Mapped Surface\">\n"
"            <Property name=\"BumpMapInputDataArray\"/>\n"
"            <Property name=\"BumpMappingFactor\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Bump Mapped Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"UnstructuredGridRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard UniformGridRepresentation by adding\n"
"        BumpMapRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"BumpMapRepresentation\"\n"
"                          text=\"Bump Mapped Surface\"/>\n"
"      <SubProxy>\n"
"        <Proxy name=\"BumpMapRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"BumpMapRepresentation\"/>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Bump Mapped Surface\">\n"
"            <Property name=\"BumpMapInputDataArray\"/>\n"
"            <Property name=\"BumpMappingFactor\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Bump Mapped Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\"/>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"UniformGridRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard UniformGridRepresentation by adding\n"
"        BumpMapRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"BumpMapRepresentation\"\n"
"                          text=\"Bump Mapped Surface\"/>\n"
"      <SubProxy>\n"
"        <Proxy name=\"BumpMapRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"BumpMapRepresentation\"/>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Bump Mapped Surface\">\n"
"            <Property name=\"BumpMapInputDataArray\"/>\n"
"            <Property name=\"BumpMappingFactor\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Bump Mapped Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\"/>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"StructuredGridRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard UniformGridRepresentation by adding\n"
"        BumpMapRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"BumpMapRepresentation\"\n"
"                          text=\"Bump Mapped Surface\"/>\n"
"      <SubProxy>\n"
"        <Proxy name=\"BumpMapRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"BumpMapRepresentation\"/>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Bump Mapped Surface\">\n"
"            <Property name=\"BumpMapInputDataArray\"/>\n"
"            <Property name=\"BumpMappingFactor\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Bump Mapped Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\"/>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!-- Extrusion Representation extensions -->\n"
"\n"
"    <Extension name=\"GeometryRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard GeometryRepresentation by adding\n"
"        ExtrusionRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"ExtrusionRepresentation\"\n"
"                          text=\"Extrusion Surface\"/>\n"
"      <SubProxy>\n"
"        <Proxy name=\"ExtrusionRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"ExtrusionRepresentation\"/>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Extrusion Surface\">\n"
"            <Property name=\"ExtrusionInputDataArray\"/>\n"
"            <Property name=\"ExtrusionFactor\"/>\n"
"            <Property name=\"ExtrusionNormalizeData\"/>\n"
"            <Property name=\"ExtrusionAutoScaling\"/>\n"
"            <Property name=\"ExtrusionScalingRange\"/>\n"
"            <Property name=\"ExtrusionBasisVisibility\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Extrusion Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\"/>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"UnstructuredGridRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard UniformGridRepresentation by adding\n"
"        ExtrusionRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"ExtrusionRepresentation\"\n"
"                          text=\"Extrusion Surface\"/>\n"
"      <SubProxy>\n"
"        <Proxy name=\"ExtrusionRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"ExtrusionRepresentation\"/>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Extrusion Surface\">\n"
"            <Property name=\"ExtrusionInputDataArray\"/>\n"
"            <Property name=\"ExtrusionFactor\"/>\n"
"            <Property name=\"ExtrusionNormalizeData\"/>\n"
"            <Property name=\"ExtrusionAutoScaling\"/>\n"
"            <Property name=\"ExtrusionScalingRange\"/>\n"
"            <Property name=\"ExtrusionBasisVisibility\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Extrusion Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\"/>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"UniformGridRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard UniformGridRepresentation by adding\n"
"        ExtrusionRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"ExtrusionRepresentation\"\n"
"                          text=\"Extrusion Surface\"/>\n"
"      <SubProxy>\n"
"        <Proxy name=\"ExtrusionRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"ExtrusionRepresentation\"/>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Extrusion Surface\">\n"
"            <Property name=\"ExtrusionInputDataArray\"/>\n"
"            <Property name=\"ExtrusionFactor\"/>\n"
"            <Property name=\"ExtrusionNormalizeData\"/>\n"
"            <Property name=\"ExtrusionAutoScaling\"/>\n"
"            <Property name=\"ExtrusionScalingRange\"/>\n"
"            <Property name=\"ExtrusionBasisVisibility\"/>\n"
"            <Hints>\n"
;

// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/EmbossingRepresentations/Representations/EmbossingRepresentations.xml
static const char* const EmbossingRepresentations_server_manager_modulesEmbossingRepresentationsInterface1 =
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Extrusion Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\"/>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"StructuredGridRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard UniformGridRepresentation by adding\n"
"        ExtrusionRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"ExtrusionRepresentation\"\n"
"                          text=\"Extrusion Surface\"/>\n"
"      <SubProxy>\n"
"        <Proxy name=\"ExtrusionRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"ExtrusionRepresentation\"/>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Extrusion Surface\">\n"
"            <Property name=\"ExtrusionInputDataArray\"/>\n"
"            <Property name=\"ExtrusionFactor\"/>\n"
"            <Property name=\"ExtrusionNormalizeData\"/>\n"
"            <Property name=\"ExtrusionAutoScaling\"/>\n"
"            <Property name=\"ExtrusionScalingRange\"/>\n"
"            <Property name=\"ExtrusionBasisVisibility\"/>\n"
"             <Hints>\n"
"                <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                         mode=\"visibility\"\n"
"                                         property=\"Representation\"\n"
"                                         value=\"Extrusion Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\"/>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* EmbossingRepresentations_server_manager_modulesEmbossingRepresentationsGetInterfaces()
{

  const size_t len0 = strlen(EmbossingRepresentations_server_manager_modulesEmbossingRepresentationsInterface0);
  const size_t len1 = strlen(EmbossingRepresentations_server_manager_modulesEmbossingRepresentationsInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(EmbossingRepresentations_server_manager_modulesEmbossingRepresentationsInterface0, EmbossingRepresentations_server_manager_modulesEmbossingRepresentationsInterface0 + len0, res + offset); offset += len0;
  std::copy(EmbossingRepresentations_server_manager_modulesEmbossingRepresentationsInterface1, EmbossingRepresentations_server_manager_modulesEmbossingRepresentationsInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
