// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef ExplicitStructuredGrid_server_manager_modules_data_h
#define ExplicitStructuredGrid_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/ExplicitStructuredGrid/Filter/ExplicitStructuredGrid.xml
static const char* const ExplicitStructuredGrid_server_manager_modulesExplicitStructuredGridInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExplicitStructuredGridGeneratorSource\"\n"
"                 label=\"ExplicitStructuredGrid Generator Source\"\n"
"                 name=\"ExplicitUnstructuredGeneratorSource\">\n"
"      <Documentation long_help=\"Generate reservoir grids described as VTK unstructured grids.\">\n"
"      </Documentation>\n"
"      <IntVectorProperty command=\"SetGeneratorMode\"\n"
"                         default_values=\"2\"\n"
"                         name=\"GeneratorMode\"\n"
"                         number_of_elements=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Pillar\" value=\"0\" />\n"
"          <Entry text=\"Discontinuous\" value=\"1\" />\n"
"          <Entry text=\"Continuous\" value=\"2\" />\n"
"          <Entry text=\"Steps\" value=\"3\" />\n"
"          <Entry text=\"Pyramid\" value=\"4\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>This property set the generator to use.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty information_only=\"1\"\n"
"                            name=\"TimestepValues\"\n"
"                            repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"      <IntVectorProperty command=\"SetDataExtent\"\n"
"                         default_values=\"0 50 0 50 0 50\"\n"
"                         name=\"DataExtent\"\n"
"                         number_of_elements=\"6\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>The whole grid extent to generate.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPyramidStepSize\"\n"
"                         default_values=\"10\"\n"
"                         name=\"PyramidStepSize\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>The pyramid or step size.</Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetNumberOfTimeSteps\"\n"
"                         default_values=\"20\"\n"
"                         name=\"NumberOfTimeSteps\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"default\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"        <Documentation>The number of generated time steps.</Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"ExplicitStructuredGridCrop\"\n"
"                 class=\"vtkExplicitStructuredGridCrop\"\n"
"                 label=\"ExplicitStructuredGrid Crop\">\n"
"      <Documentation long_help=\"Efficiently extract a volume of interest from a 3d explicit structured grid.\"\n"
"                     short_help=\"Extract a volume of interest.\">\n"
"        The Crop filter extracts a volume of interest from a 3D explicit structured\n"
"        grid by allowing the user to specify the minimum and maximum extents of each\n"
"        dimension of the data. Both the input and output of this filter are explicit\n"
"        structured grids.\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkExplicitStructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetOutputWholeExtent\"\n"
"                         default_values=\"0 0 0 0 0 0\"\n"
"                         name=\"OutputWholeExtent\"\n"
"                         number_of_elements=\"6\">\n"
"        <ExtentDomain name=\"extent\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ExtentDomain>\n"
"        <Documentation>\n"
"          This property gives the minimum and maximum point index\n"
"          (extent) in each dimension for the output dataset.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"ExplicitStructuredGridSurfaceFilter\"\n"
"                 class=\"vtkExplicitStructuredGridSurfaceFilter\"\n"
"                 label=\"ExplicitStructuredGrid Extract Surface\">\n"
"      <Documentation long_help=\"Extract the surface of an explicit structured grid as vtkPolyData.\">\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkExplicitStructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input to the filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetPassThroughCellIds\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassThroughCellIds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If on, the output polygonal dataset will have a celldata array that\n"
"          holds the cell index of the original 3D cell that produced each output\n"
"          cell. This is useful for cell picking. The default is off to save\n"
"          memory.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty command=\"SetPassThroughPointIds\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassThroughPointIds\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If on, the output polygonal dataset will have a pointdata array that\n"
"          holds the point index of the original 3D point that produced each output\n"
"          point. This is useful for point picking. The default is off to save\n"
"          memory.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetOriginalCellIdsName\"\n"
"                            default_values=\"vtkOriginalCellIds\"\n"
"                            name=\"OriginalCellIdsName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>\n"
"          If PassThroughCellIds is on, then these ivars control the name given to\n"
"          the field in which the ids are written into.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"PassThroughCellIds\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetOriginalPointIdsName\"\n"
"                            default_values=\"vtkOriginalPointIds\"\n"
"                            name=\"OriginalPointIdsName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>\n"
"          If PassThroughPointIds is on, then these ivars control the name given to\n"
"          the field in which the ids are written into.\n"
"        </Documentation>\n"
"        <Hints>\n"
"          <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                   mode=\"visibility\"\n"
"                                   property=\"PassThroughPointIds\"\n"
"                                   value=\"1\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"ExplicitStructuredGridToUnstructuredGrid\"\n"
"                 class=\"vtkExplicitStructuredGridToUnstructuredGrid\"\n"
"                 label=\"ExplicitStructuredGrid To UnstructuredGrid\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkExplicitStructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"ImageDataToExplicitStructuredGrid\"\n"
"                 class=\"vtkImageDataToExplicitStructuredGrid\"\n"
"                 label=\"ImageData To ExplicitStructuredGrid\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"UnstructuredGridToExplicitStructuredGrid\"\n"
"                 class=\"vtkUnstructuredGridToExplicitStructuredGrid\"\n"
"                 label=\"UnstructuredGrid To ExplicitStructuredGrid\">\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain attribute_type=\"cell\"\n"
"                          name=\"input_array\"\n"
"                          number_of_components=\"1\"/>\n"
"        <Documentation>This property specifies the input to the filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            default_values_delimiter=\";\"\n"
"                            default_values=\"0;0;0;0;BLOCK_I\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"I Array\"\n"
"                            name=\"iArray\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain input_domain_name=\"input_array\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            default_values_delimiter=\";\"\n"
"                            default_values=\"1;0;0;0;BLOCK_J\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"J Array\"\n"
"                            name=\"jArray\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain input_domain_name=\"input_array\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            default_values_delimiter=\";\"\n"
"                            default_values=\"2;0;0;0;BLOCK_K\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"K Array\"\n"
"                            name=\"kArray\"\n"
"                            number_of_elements=\"5\">\n"
"        <ArrayListDomain input_domain_name=\"input_array\"\n"
"                         name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\"\n"
"                      name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty command=\"SetWholeExtent\"\n"
"                         default_values=\"0 -1 0 -1 0 -1\"\n"
"                         name=\"WholeExtent\"\n"
"                         number_of_elements=\"6\">\n"
"        <Documentation>\n"
"          This property gives the minimum and maximum point index\n"
"          (extent) in each dimension for the output dataset.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* ExplicitStructuredGrid_server_manager_modulesExplicitStructuredGridGetInterfaces()
{

  const size_t len0 = strlen(ExplicitStructuredGrid_server_manager_modulesExplicitStructuredGridInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(ExplicitStructuredGrid_server_manager_modulesExplicitStructuredGridInterface0, ExplicitStructuredGrid_server_manager_modulesExplicitStructuredGridInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}


// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/ExplicitStructuredGrid/Filter/ExplicitStructuredGridPythonExtractor.xml
static const char* const ExplicitStructuredGrid_server_manager_modulesExplicitStructuredGridPythonExtractorInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy class=\"vtkExplicitStructuredGridPythonExtractor\"\n"
"                 label=\"ExplicitStructuredGrid Slice and Cells Extractor\"\n"
"                 name=\"ExplicitStructuredGridPythonExtractor\">\n"
"      <Documentation long_help=\"Extract a i-j-k slice from a reservoir grid described as an unstructured grid or a 3D image data.\">\n"
"      </Documentation>\n"
"      <InputProperty command=\"SetInputConnection\"\n"
"                     name=\"Input\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkExplicitStructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>The input from which the selection is\n"
"        extracted.</Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty command=\"SetPassDataToScript\"\n"
"                         default_values=\"0\"\n"
"                         name=\"PassDataToScript\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If ON, the script will have access to the cell data arrays (CellArray) and the 8 points data arrays (PointArray)\n"
"          of the evaluated cell - activate it only if needed, the cost is lot higher.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty command=\"SetPythonExpression\"\n"
"                            default_values=\"ret=(i==0 or j==0 or k==0)\"\n"
"                            name=\"PythonExpression\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"default\">\n"
"        <Documentation>\n"
"          This property contains the Python script that will be evaluated on each grid cell. The script has access to\n"
"          variables i, j and k which are the coordinates of the cell grid exprimed in the whole grid extent. The\n"
"          script should modify the value of variable 'ret'. If ret is 0, the cell will be discarded, otherwise it\n"
"          will be copied in the output grid.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* ExplicitStructuredGrid_server_manager_modulesExplicitStructuredGridPythonExtractorGetInterfaces()
{

  const size_t len0 = strlen(ExplicitStructuredGrid_server_manager_modulesExplicitStructuredGridPythonExtractorInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(ExplicitStructuredGrid_server_manager_modulesExplicitStructuredGridPythonExtractorInterface0, ExplicitStructuredGrid_server_manager_modulesExplicitStructuredGridPythonExtractorInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
