// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef GenericIOReader_server_manager_modules_data_h
#define GenericIOReader_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/GenericIOReader/Readers/vtkGenIOReader.xml
static const char* const GenericIOReader_server_manager_modulesvtkGenIOReaderInterface0 =
"<ServerManagerConfiguration>\n"
"  <!--<ProxyGroup name=\"sources\">-->\n"
"  <ProxyGroup name=\"genericio_internal_sources\">\n"
"    <SourceProxy name=\"vtkGenIOReader\" class=\"vtkGenIOReader\" label=\"GenericIO Reader\">\n"
"      <Documentation\n"
"        short_help=\"Read GenericIO file types.\"\n"
"        long_help=\"Read various types of data types in the GenericIO Family\">\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"Filename:\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the GenIO reader pointing to the file.\n"
"        </Documentation> \n"
"      </StringVectorProperty>\n"
"\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Particle Arrays\" >\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          List the variables.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayInfo\" information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"\n"
"      <!-- Information to show -->\n"
"      <IntVectorProperty\n"
"        name=\"Sampling Type:\"\n"
"        command=\"SetSampleType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"All data (sampled)\"/>\n"
"          <Entry value=\"3\" text=\"Selection (AND)\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property indicates which sampling method to be used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"\n"
"\n"
"      <!-- Sampling type -->\n"
"      <IntVectorProperty name=\"Power cube sampling\"\n"
"        command=\"SetPercentageType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"\n"
"<!-- Data perc\n"
"entage -->\n"
"<DoubleVectorProperty name=\"Show Data %:\"\n"
"  command=\"SetDataPercentToShow\"\n"
"  number_of_elements=\"1\"\n"
"  default_values=\"0.1\">\n"
"  <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"</DoubleVectorProperty>\n"
"\n"
"\n"
"\n"
"<!-- Filtering -->\n"
"<StringVectorProperty\n"
"  name=\"Scalar:\"\n"
"  command=\"SelectScalar\"\n"
"  number_of_elements=\"1\">\n"
"  <Documentation>\n"
"    Scalar value to filter on.\n"
"  </Documentation> \n"
"</StringVectorProperty>\n"
"\n"
"<IntVectorProperty\n"
"  name=\"Selection Criteria:\"\n"
"  command=\"SelectCriteria\"\n"
"  number_of_elements=\"1\"\n"
"  default_values=\"0\">\n"
"  <EnumerationDomain name=\"enum\">\n"
"    <Entry value=\"0\" text=\"is\"/>\n"
"    <Entry value=\"1\" text=\"greater or equal to\"/>\n"
"    <Entry value=\"2\" text=\"less or equal to\"/>\n"
"    <Entry value=\"3\" text=\"is between\"/>\n"
"  </EnumerationDomain>\n"
"  <Documentation>\n"
"    Rhe selection criteria.\n"
"  </Documentation>\n"
"</IntVectorProperty>\n"
"\n"
"<StringVectorProperty\n"
"  name=\"Value:\"\n"
"  command=\"SelectValue1\"\n"
"  number_of_elements=\"1\">\n"
"  <Documentation>\n"
"    Selected value.\n"
"  </Documentation> \n"
"</StringVectorProperty>\n"
"\n"
"<StringVectorProperty\n"
"  name=\"Value 2 (range):\"\n"
"  command=\"SelectValue2\"\n"
"  number_of_elements=\"1\">\n"
"  <Documentation>\n"
"    Selected value (for range).\n"
"  </Documentation> \n"
"</StringVectorProperty>\n"
"\n"
"<IntVectorProperty name=\"Reset Selection\"\n"
"  command=\"SetResetSelection\"\n"
"  number_of_elements=\"1\"\n"
"  default_values=\"0\">\n"
"  <BooleanDomain name=\"bool\"/>\n"
"  <Documentation>\n"
"    Check/Uncheck to reset selection.\n"
"  </Documentation> \n"
"</IntVectorProperty>\n"
"\n"
"</SourceProxy>\n"
"</ProxyGroup>\n"
"\n"
"<ProxyGroup name=\"sources\">\n"
"  <SourceProxy class=\"vtkFileSeriesReader\"\n"
"    file_name_method=\"SetFileName\"\n"
"    name=\"vtkGenIOReader\"\n"
"    si_class=\"vtkSIMetaReaderProxy\">\n"
"\n"
"    <StringVectorProperty name=\"FileNameInfo\"\n"
"      command=\"GetCurrentFileName\"\n"
"      information_only=\"1\" >\n"
"      <SimpleStringInformationHelper />\n"
"    </StringVectorProperty>\n"
"\n"
"    <StringVectorProperty name=\"FileNames\"\n"
"      clean_command=\"RemoveAllFileNames\"\n"
"      command=\"AddFileName\"\n"
"      animateable=\"0\"\n"
"      number_of_elements=\"0\"\n"
"      repeat_command=\"1\"\n"
"      information_property=\"FileNameInfo\">\n"
"      <FileListDomain name=\"files\" />\n"
"      <Documentation>\n"
"        The list of files to be read by the reader. If more than 1 file is\n"
"        specified, the reader will switch to file series mode in which it will\n"
"        pretend that it can support time and provide 1 file per time step.\n"
"      </Documentation>\n"
"    </StringVectorProperty>\n"
"\n"
"    <SubProxy>\n"
"      <Proxy name=\"Reader\"\n"
"        proxygroup=\"genericio_internal_sources\"\n"
"        proxyname=\"vtkGenIOReader\">\n"
"      </Proxy>\n"
"      <ExposedProperties>\n"
"        <Property name=\"PointArrayStatus\" />\n"
"\n"
"        <PropertyGroup panel_visibility=\"default\"\n"
"          label=\"Loading %:\" >\n"
"          <Property name=\"Sampling Type:\" />\n"
"          <Property name=\"Show Data %:\" />\n"
"          <Property name=\"Power cube sampling\" />\n"
"        </PropertyGroup>\n"
"\n"
"        <PropertyGroup panel_visibility=\"default\"\n"
"          label=\"Selection:\" >\n"
"          <Property name=\"Scalar:\" />\n"
"          <Property name=\"Selection Criteria:\" />\n"
"          <Property name=\"Value:\" />\n"
"          <Property name=\"Value 2 (range):\" />\n"
"          <Property name=\"Reset Selection\" />\n"
"        </PropertyGroup>\n"
"      </ExposedProperties>\n"
"    </SubProxy>\n"
"\n"
"    <DoubleVectorProperty information_only=\"1\"\n"
"      name=\"TimestepValues\"\n"
"      repeatable=\"1\">\n"
"      <TimeStepsInformationHelper />\n"
"      <Documentation>\n"
"        Available timestep values.\n"
"      </Documentation>\n"
"    </DoubleVectorProperty>\n"
"\n"
"    <Hints>\n"
"      <ReaderFactory extensions=\"*\" file_description=\"GenericIO Files\" />\n"
"      <RepresentationType view=\"RenderView\" type=\"Points\" />\n"
"    </Hints>\n"
"  </SourceProxy>\n"
"</ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* GenericIOReader_server_manager_modulesvtkGenIOReaderGetInterfaces()
{

  const size_t len0 = strlen(GenericIOReader_server_manager_modulesvtkGenIOReaderInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(GenericIOReader_server_manager_modulesvtkGenIOReaderInterface0, GenericIOReader_server_manager_modulesvtkGenIOReaderInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
