// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef StreamLinesRepresentation_server_manager_modules_data_h
#define StreamLinesRepresentation_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/StreamLinesRepresentation/Representations/StreamLinesRepresentation.xml
static const char* const StreamLinesRepresentation_server_manager_modulesStreamLinesRepresentationInterface0 =
"<ServerManagerConfiguration>\n"
"  <!--======================================================================-->\n"
"  <ProxyGroup name=\"representations\">\n"
"    <RepresentationProxy name=\"StreamLinesRepresentation\"\n"
"                         class=\"vtkStreamLinesRepresentation\"\n"
"                         processes=\"client|dataserver|renderserver\"\n"
"                         si_class=\"vtkSIProxy\">\n"
"      <Documentation>\n"
"        Representation proxy for StreamLines.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\"\n"
"                     command=\"SetInputConnection\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_vectors\"\n"
"                          number_of_components=\"3\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"InputVectors\"\n"
"                            command=\"SetInputVectors\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         attribute_type=\"Vectors\"\n"
"                         input_domain_name=\"input_vectors\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property specifies the name of the input vector array to process.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <ProxyProperty command=\"SetLookupTable\"\n"
"                     name=\"LookupTable\" >\n"
"        <Documentation>Set the lookup-table to use to map data array to colors.\n"
"        Lookuptable is only used with MapScalars to ON.</Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>\n"
"          Set the array to color with. One must specify the field association and\n"
"          the array name of the array. If the array is missing, scalar coloring will\n"
"          automatically be disabled.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"                         command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for this representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetOpacity\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"Opacity\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain max=\"1\"\n"
"                           min=\"0\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"DiffuseColor\"\n"
"                            command=\"SetDiffuseColor\"\n"
"                            default_values=\"0.0 1.0 0.0\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector_with_palette\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <GlobalPropertyLink type=\"ColorPalette\" property=\"SurfaceColor\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LineWidth\"\n"
"                            command=\"SetLineWidth\"\n"
"                            default_values=\"1.0\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"1\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Alpha\"\n"
"                            command=\"SetAlpha\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"        <Documentation>Blending factor applied each frame is done with the\n"
"          formula: 1 - 1 / (Alpha * MaxTimeToLive).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetPosition\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Position\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetScale\"\n"
"                            default_values=\"1 1 1\"\n"
"                            name=\"Scale\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetOrientation\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Orientation\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetOrigin\"\n"
"                            default_values=\"0 0 0\"\n"
"                            name=\"Origin\"\n"
"                            number_of_elements=\"3\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty argument_is_array=\"1\"\n"
"                            command=\"SetUserTransform\"\n"
"                            default_values=\"1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1\"\n"
"                            name=\"UserTransform\"\n"
"                            number_of_elements=\"16\">\n"
"        <Documentation>\n"
"          In addition to the instance variables such as position and\n"
"          orientation, you can add an additional transformation for your own\n"
"          use. This transformation is concatenated with the actor's internal\n"
"          transformation, which you implicitly create through the use of\n"
"          Position, Origin, Orientation. The value is 4x4 matrix for the linear\n"
"          transform to use.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Animate\"\n"
"                         command=\"SetAnimate\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Turn the animation ON or OFF.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfAnimationSteps\"\n"
"                         command=\"SetNumberOfAnimationSteps\"\n"
"                         default_values=\"1\"\n"
"                         number_of_elements=\"1\"\n"
"                         panel_visibility=\"advanced\">\n"
"        <Documentation>Specify the maximum number of steps before the\n"
"        animation stops. This feature is for testing purposes only!\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StepLength\"\n"
"                            command=\"SetStepLength\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.005\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" />\n"
"        <Documentation>Normalized integration step - allow to adjust particle\n"
"          speed.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfParticles\"\n"
"                         command=\"SetNumberOfParticles\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1000\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>Number of simulated particles in the flow.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"MaxTimeToLive\"\n"
"                         command=\"SetMaxTimeToLive\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"600\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>Maximum number of iteration a particle is followed before\n"
"        it dies.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </RepresentationProxy>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"UniformGridRepresentation\">\n"
"      <RepresentationType subproxy=\"StreamLinesRepresentation\"\n"
"                          text=\"Stream Lines\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"StreamLinesRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"StreamLinesRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Stream Lines\">\n"
"            <Property name=\"Animate\" />\n"
"            <Property name=\"NumberOfAnimationSteps\" />\n"
"            <Property name=\"InputVectors\" />\n"
"            <Property name=\"Alpha\" />\n"
"            <Property name=\"StepLength\" />\n"
"            <Property name=\"NumberOfParticles\" />\n"
"            <Property name=\"MaxTimeToLive\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Stream Lines\" />\n"
"           </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"GeometryRepresentation\">\n"
"      <RepresentationType subproxy=\"StreamLinesRepresentation\"\n"
"                          text=\"Stream Lines\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"StreamLinesRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"StreamLinesRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Stream Lines\">\n"
"            <Property name=\"Animate\" />\n"
"            <Property name=\"NumberOfAnimationSteps\" />\n"
"            <Property name=\"InputVectors\" />\n"
"            <Property name=\"Alpha\" />\n"
"            <Property name=\"StepLength\" />\n"
"            <Property name=\"NumberOfParticles\" />\n"
"            <Property name=\"MaxTimeToLive\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Stream Lines\" />\n"
"           </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"UnstructuredGridRepresentation\">\n"
"      <RepresentationType subproxy=\"StreamLinesRepresentation\"\n"
"                          text=\"Stream Lines\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"StreamLinesRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"StreamLinesRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Stream Lines\">\n"
"            <Property name=\"Animate\" />\n"
"            <Property name=\"NumberOfAnimationSteps\" />\n"
"            <Property name=\"InputVectors\" />\n"
"            <Property name=\"Alpha\" />\n"
"            <Property name=\"StepLength\" />\n"
"            <Property name=\"NumberOfParticles\" />\n"
"            <Property name=\"MaxTimeToLive\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Stream Lines\" />\n"
"           </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"StructuredGridRepresentation\">\n"
"      <RepresentationType subproxy=\"StreamLinesRepresentation\"\n"
"                          text=\"Stream Lines\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"StreamLinesRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"StreamLinesRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Stream Lines\">\n"
"            <Property name=\"Animate\" />\n"
"            <Property name=\"NumberOfAnimationSteps\" />\n"
"            <Property name=\"InputVectors\" />\n"
"            <Property name=\"Alpha\" />\n"
"            <Property name=\"StepLength\" />\n"
"            <Property name=\"NumberOfParticles\" />\n"
"            <Property name=\"MaxTimeToLive\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Stream Lines\" />\n"
"           </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* StreamLinesRepresentation_server_manager_modulesStreamLinesRepresentationGetInterfaces()
{

  const size_t len0 = strlen(StreamLinesRepresentation_server_manager_modulesStreamLinesRepresentationInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(StreamLinesRepresentation_server_manager_modulesStreamLinesRepresentationInterface0, StreamLinesRepresentation_server_manager_modulesStreamLinesRepresentationInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
