// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef SurfaceLIC_server_manager_modules_data_h
#define SurfaceLIC_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/SurfaceLIC/Representations/vtkSurfaceLICRepresentation.xml
static const char* const SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface0 =
"<ServerManagerConfiguration>\n"
"\n"
"  <!--======================================================================-->\n"
"  <ProxyGroup name=\"representations\">\n"
"    <RepresentationProxy name=\"SurfaceLICRepresentation\"\n"
"      class=\"vtkSurfaceLICRepresentation\"\n"
"      processes=\"client|dataserver|renderserver\"\n"
"      base_proxygroup=\"representations\"\n"
"      base_proxyname=\"SurfaceRepresentation\">\n"
"      <Documentation>\n"
"        Representation proxy for Surface LIC.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"SelectInputVectors\"\n"
"        command=\"SelectInputVectors\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        label=\"Vectors\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\"\n"
"          input_domain_name=\"input_vectors\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property specifies the name of the input vector array to process.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!--\n"
"      Integrator controls\n"
"      -->\n"
"      <IntVectorProperty name=\"NumberOfSteps\"\n"
"        command=\"SetNumberOfSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"40\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StepSize\"\n"
"        command=\"SetStepSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.25\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NormalizeVectors\"\n"
"        command=\"SetNormalizeVectors\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EnhancedLIC\"\n"
"        command=\"SetEnhancedLIC\"\n"
"        label=\"Enhanced/2-Pass Image LIC\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        >\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--\n"
"      Coloring controls\n"
"      -->\n"
"      <IntVectorProperty name=\"ColorMode\"\n"
"        command=\"SetColorMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Blend\"    value=\"0\" />\n"
"          <Entry text=\"Multiply\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MapModeBias\"\n"
"        command=\"SetMapModeBias\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"-0.25\" max=\"0.25\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LICIntensity\"\n"
"        label=\"LIC Intensity\"\n"
"        command=\"SetLICIntensity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.8\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EnhanceContrast\"\n"
"        command=\"SetEnhanceContrast\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Off\"           value=\"0\" />\n"
"          <Entry text=\"LIC Only\"      value=\"1\" />\n"
"          <Entry text=\"LIC and Color\" value=\"4\" />\n"
"          <Entry text=\"Color Only\"    value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LowLICContrastEnhancementFactor\"\n"
"        command=\"SetLowLICContrastEnhancementFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"0.5\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"HighLICContrastEnhancementFactor\"\n"
"        command=\"SetHighLICContrastEnhancementFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"0.5\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LowColorContrastEnhancementFactor\"\n"
"        command=\"SetLowColorContrastEnhancementFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"0.5\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"HighColorContrastEnhancementFactor\"\n"
"        command=\"SetHighColorContrastEnhancementFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"0.5\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AntiAlias\"\n"
"        command=\"SetAntiAlias\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"5\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--\n"
"      Fragment masking Control\n"
"      -->\n"
"      <IntVectorProperty name=\"MaskOnSurface\"\n"
"        command=\"SetMaskOnSurface\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MaskThreshold\"\n"
"        command=\"SetMaskThreshold\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MaskColor\"\n"
"        command=\"SetMaskColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.5 0.5 0.5\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MaskIntensity\"\n"
"        command=\"SetMaskIntensity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!--\n"
"      Noise Texture Generator Controls\n"
"      -->\n"
"      <IntVectorProperty name=\"GenerateNoiseTexture\"\n"
"        command=\"SetGenerateNoiseTexture\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NoiseType\"\n"
"        command=\"SetNoiseType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"uniform\"  value=\"0\" />\n"
"          <Entry text=\"Gaussian\" value=\"1\" />\n"
"          <Entry text=\"Perlin\"   value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NoiseTextureSize\"\n"
"        command=\"SetNoiseTextureSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"128\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <IntRangeDomain name=\"range\" min=\"2\" max=\"4096\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NoiseGrainSize\"\n"
"        command=\"SetNoiseGrainSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"4096\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MinNoiseValue\"\n"
"        command=\"SetMinNoiseValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"MaxNoiseValue\"\n"
"        command=\"SetMaxNoiseValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.8\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfNoiseLevels\"\n"
"        command=\"SetNumberOfNoiseLevels\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1024\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"1024\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ImpulseNoiseProbability\"\n"
"        label=\"Impulse Probability\"\n"
"        command=\"SetImpulseNoiseProbability\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ImpulseNoiseBackgroundValue\"\n"
"        label=\"Impulse BackgroundValue\"\n"
"        command=\"SetImpulseNoiseBackgroundValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NoiseGeneratorSeed\"\n"
"        label=\"RNG Seed\"\n"
"        command=\"SetNoiseGeneratorSeed\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"1073741823\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--\n"
"      Parallel performance\n"
"      -->\n"
"      <IntVectorProperty name=\"CompositeStrategy\"\n"
"        command=\"SetCompositeStrategy\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"INPLACE\"          value=\"0\" />\n"
"          <Entry text=\"INPLACE DISJOINT\" value=\"1\" />\n"
"          <Entry text=\"BALANCED\"         value=\"2\" />\n"
"          <Entry text=\"AUTO\"             value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--\n"
"      Interactive performance.\n"
"      -->\n"
"      <IntVectorProperty name=\"UseLICForLOD\"\n"
"        label=\"Use LIC for LOD\"\n"
"        command=\"SetUseLICForLOD\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        panel_visibility=\"advanced\"\n"
"        >\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--\n"
"      for benchmarking\n"
"      setting the file name will trigger the write.\n"
"      -->\n"
"      <StringVectorProperty name=\"WriteLog\"\n"
"        command=\"WriteTimerLog\"\n"
"        number_of_elements=\"1\"\n"
"        label=\"Log File\"\n"
"        panel_visibility=\"advanced\">\n"
"        <Documentation>\n"
"         when compiled for benchmarking\n"
"         setting the file name will trigger\n"
"         a write of the parallel timer log\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </RepresentationProxy>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"GeometryRepresentation\">\n"
"      <RepresentationType subproxy=\"SurfaceLICRepresentation\"\n"
"        subtype=\"Surface\" text=\"Surface LIC\" />\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceLICRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"SurfaceLICRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"        <!--<PropertyGroup label=\"Surface LIC Parameters\">-->\n"
"         <!-- Integrator -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Integrator\">\n"
"           <Property name=\"SelectInputVectors\"/>\n"
"           <Property name=\"NumberOfSteps\"/>\n"
"           <Property name=\"StepSize\" />\n"
"           <Property name=\"NormalizeVectors\" />\n"
"           <Property name=\"EnhancedLIC\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Rendering controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Rendering\">\n"
"           <Property name=\"ColorMode\" />\n"
"           <Property name=\"LICIntensity\" />\n"
"           <Property name=\"MapModeBias\" />\n"
"\n"
"           <Property name=\"EnhanceContrast\" />\n"
"           <Property name=\"LowLICContrastEnhancementFactor\" />\n"
"           <Property name=\"HighLICContrastEnhancementFactor\" />\n"
"           <Property name=\"LowColorContrastEnhancementFactor\" />\n"
"           <Property name=\"HighColorContrastEnhancementFactor\" />\n"
"\n"
"           <Property name=\"AntiAlias\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Fragment Masking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Fragment masking\">\n"
"           <Property name=\"MaskOnSurface\" />\n"
"           <Property name=\"MaskThreshold\" />\n"
"           <Property name=\"MaskIntensity\" />\n"
"           <Property name=\"MaskColor\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Noise texture controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Noise texture generator\">\n"
"           <Property name=\"GenerateNoiseTexture\" />\n"
"           <Property name=\"NoiseType\" />\n"
"           <Property name=\"NoiseTextureSize\" />\n"
"           <Property name=\"NoiseGrainSize\" />\n"
"           <Property name=\"MinNoiseValue\" />\n"
"           <Property name=\"MaxNoiseValue\" />\n"
;

// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/SurfaceLIC/Representations/vtkSurfaceLICRepresentation.xml
static const char* const SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface1 =
"           <Property name=\"NumberOfNoiseLevels\" />\n"
"           <Property name=\"ImpulseNoiseProbability\" />\n"
"           <Property name=\"ImpulseNoiseBackgroundValue\" />\n"
"           <Property name=\"NoiseGeneratorSeed\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Parallel  controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Parallelization\">\n"
"           <Property name=\"CompositeStrategy\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Interactivity controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Interactivity\">\n"
"           <Property name=\"UseLICForLOD\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- benchmarking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Benchmark\">\n"
"           <Property name=\"WriteLog\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"        <!-- </PropertyGroup> -->\n"
"        </ExposedProperties>\n"
"\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"UnstructuredGridRepresentation\">\n"
"      <RepresentationType subproxy=\"SurfaceLICRepresentation\"\n"
"        subtype=\"Surface\" text=\"Surface LIC\" />\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceLICRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"SurfaceLICRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"        <!--<PropertyGroup label=\"Surface LIC Parameters\">-->\n"
"         <!-- Integrator -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Integrator\">\n"
"           <Property name=\"SelectInputVectors\"/>\n"
"           <Property name=\"NumberOfSteps\"/>\n"
"           <Property name=\"StepSize\" />\n"
"           <Property name=\"NormalizeVectors\" />\n"
"           <Property name=\"EnhancedLIC\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Rendering controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Rendering\">\n"
"           <Property name=\"ColorMode\" />\n"
"           <Property name=\"LICIntensity\" />\n"
"           <Property name=\"MapModeBias\" />\n"
"\n"
"           <Property name=\"EnhanceContrast\" />\n"
"           <Property name=\"LowLICContrastEnhancementFactor\" />\n"
"           <Property name=\"HighLICContrastEnhancementFactor\" />\n"
"           <Property name=\"LowColorContrastEnhancementFactor\" />\n"
"           <Property name=\"HighColorContrastEnhancementFactor\" />\n"
"\n"
"           <Property name=\"AntiAlias\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Fragment Masking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Fragment masking\">\n"
"           <Property name=\"MaskOnSurface\" />\n"
"           <Property name=\"MaskThreshold\" />\n"
"           <Property name=\"MaskIntensity\" />\n"
"           <Property name=\"MaskColor\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Noise texture controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Noise texture generator\">\n"
"           <Property name=\"GenerateNoiseTexture\" />\n"
"           <Property name=\"NoiseType\" />\n"
"           <Property name=\"NoiseTextureSize\" />\n"
"           <Property name=\"NoiseGrainSize\" />\n"
"           <Property name=\"MinNoiseValue\" />\n"
"           <Property name=\"MaxNoiseValue\" />\n"
"           <Property name=\"NumberOfNoiseLevels\" />\n"
"           <Property name=\"ImpulseNoiseProbability\" />\n"
"           <Property name=\"ImpulseNoiseBackgroundValue\" />\n"
"           <Property name=\"NoiseGeneratorSeed\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Parallel  controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Parallelization\">\n"
"           <Property name=\"CompositeStrategy\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Interactivity controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Interactivity\">\n"
"           <Property name=\"UseLICForLOD\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- benchmarking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Benchmark\">\n"
"           <Property name=\"WriteLog\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"        <!-- </PropertyGroup> -->\n"
"        </ExposedProperties>\n"
"\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"UniformGridRepresentation\">\n"
"      <RepresentationType subproxy=\"SurfaceLICRepresentation\"\n"
"        subtype=\"Surface\" text=\"Surface LIC\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceLICRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"SurfaceLICRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"        <!--<PropertyGroup label=\"Surface LIC Parameters\">-->\n"
"         <!-- Integrator -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Integrator\">\n"
"           <Property name=\"SelectInputVectors\"/>\n"
"           <Property name=\"NumberOfSteps\"/>\n"
"           <Property name=\"StepSize\" />\n"
"           <Property name=\"NormalizeVectors\" />\n"
"           <Property name=\"EnhancedLIC\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Rendering controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Rendering\">\n"
"           <Property name=\"ColorMode\" />\n"
"           <Property name=\"LICIntensity\" />\n"
"           <Property name=\"MapModeBias\" />\n"
"\n"
"           <Property name=\"EnhanceContrast\" />\n"
"           <Property name=\"LowLICContrastEnhancementFactor\" />\n"
"           <Property name=\"HighLICContrastEnhancementFactor\" />\n"
"           <Property name=\"LowColorContrastEnhancementFactor\" />\n"
"           <Property name=\"HighColorContrastEnhancementFactor\" />\n"
"\n"
"           <Property name=\"AntiAlias\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Fragment Masking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Fragment masking\">\n"
"           <Property name=\"MaskOnSurface\" />\n"
"           <Property name=\"MaskThreshold\" />\n"
"           <Property name=\"MaskIntensity\" />\n"
"           <Property name=\"MaskColor\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Noise texture controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Noise texture generator\">\n"
"           <Property name=\"GenerateNoiseTexture\" />\n"
"           <Property name=\"NoiseType\" />\n"
"           <Property name=\"NoiseTextureSize\" />\n"
"           <Property name=\"NoiseGrainSize\" />\n"
"           <Property name=\"MinNoiseValue\" />\n"
"           <Property name=\"MaxNoiseValue\" />\n"
"           <Property name=\"NumberOfNoiseLevels\" />\n"
"           <Property name=\"ImpulseNoiseProbability\" />\n"
"           <Property name=\"ImpulseNoiseBackgroundValue\" />\n"
"           <Property name=\"NoiseGeneratorSeed\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Parallel  controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Parallelization\">\n"
"           <Property name=\"CompositeStrategy\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Interactivity controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Interactivity\">\n"
"           <Property name=\"UseLICForLOD\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- benchmarking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Benchmark\">\n"
"           <Property name=\"WriteLog\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"        <!-- </PropertyGroup> -->\n"
"        </ExposedProperties>\n"
"\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"StructuredGridRepresentation\">\n"
"      <RepresentationType subproxy=\"SurfaceLICRepresentation\"\n"
"        subtype=\"Surface\" text=\"Surface LIC\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceLICRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"SurfaceLICRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"        <!--<PropertyGroup label=\"Surface LIC Parameters\">-->\n"
"         <!-- Integrator -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Integrator\">\n"
"           <Property name=\"SelectInputVectors\"/>\n"
"           <Property name=\"NumberOfSteps\"/>\n"
"           <Property name=\"StepSize\" />\n"
"           <Property name=\"NormalizeVectors\" />\n"
"           <Property name=\"EnhancedLIC\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Rendering controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Rendering\">\n"
"           <Property name=\"ColorMode\" />\n"
"           <Property name=\"LICIntensity\" />\n"
"           <Property name=\"MapModeBias\" />\n"
"\n"
"           <Property name=\"EnhanceContrast\" />\n"
"           <Property name=\"LowLICContrastEnhancementFactor\" />\n"
"           <Property name=\"HighLICContrastEnhancementFactor\" />\n"
"           <Property name=\"LowColorContrastEnhancementFactor\" />\n"
"           <Property name=\"HighColorContrastEnhancementFactor\" />\n"
"\n"
"           <Property name=\"AntiAlias\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
;

// From file /home/iurt/rpmbuild/BUILD/ParaView-v5.10.1/Plugins/SurfaceLIC/Representations/vtkSurfaceLICRepresentation.xml
static const char* const SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface2 =
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Fragment Masking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Fragment masking\">\n"
"           <Property name=\"MaskOnSurface\" />\n"
"           <Property name=\"MaskThreshold\" />\n"
"           <Property name=\"MaskIntensity\" />\n"
"           <Property name=\"MaskColor\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Noise texture controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Noise texture generator\">\n"
"           <Property name=\"GenerateNoiseTexture\" />\n"
"           <Property name=\"NoiseType\" />\n"
"           <Property name=\"NoiseTextureSize\" />\n"
"           <Property name=\"NoiseGrainSize\" />\n"
"           <Property name=\"MinNoiseValue\" />\n"
"           <Property name=\"MaxNoiseValue\" />\n"
"           <Property name=\"NumberOfNoiseLevels\" />\n"
"           <Property name=\"ImpulseNoiseProbability\" />\n"
"           <Property name=\"ImpulseNoiseBackgroundValue\" />\n"
"           <Property name=\"NoiseGeneratorSeed\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Parallel  controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Parallelization\">\n"
"           <Property name=\"CompositeStrategy\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- Interactivity controls -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Interactivity\">\n"
"           <Property name=\"UseLICForLOD\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"\n"
"         <!-- benchmarking -->\n"
"         <PropertyGroup label=\"SurfaceLIC: Benchmark\">\n"
"           <Property name=\"WriteLog\" />\n"
"           <Hints>\n"
"             <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                      mode=\"visibility\"\n"
"                                      property=\"Representation\"\n"
"                                      value=\"Surface LIC\" />\n"
"           </Hints>\n"
"         </PropertyGroup>\n"
"        <!-- </PropertyGroup> -->\n"
"        </ExposedProperties>\n"
"\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationGetInterfaces()
{

  const size_t len0 = strlen(SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface0);
  const size_t len1 = strlen(SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface1);
  const size_t len2 = strlen(SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface2);
  size_t len = ( 0
    + len0
    + len1
    + len2 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface0, SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface0 + len0, res + offset); offset += len0;
  std::copy(SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface1, SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface1 + len1, res + offset); offset += len1;
  std::copy(SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface2, SurfaceLIC_server_manager_modulesvtkSurfaceLICRepresentationInterface2 + len2, res + offset); offset += len2;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
