/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkRemotingViewsObjectFactory.h

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef vtkRemotingViewsObjectFactory_h
#define vtkRemotingViewsObjectFactory_h

#include "vtkRemotingViewsModule.h" // For export macro
#include "vtkObjectFactory.h"

class VTKREMOTINGVIEWS_EXPORT vtkRemotingViewsObjectFactory : public vtkObjectFactory
{
public:
  static vtkRemotingViewsObjectFactory * New();
  vtkTypeMacro(vtkRemotingViewsObjectFactory, vtkObjectFactory);

  const char * GetDescription() override { return "vtkRemotingViews factory overrides."; }

  const char * GetVTKSourceVersion() override;

  void PrintSelf(ostream &os, vtkIndent indent) override;

protected:
  vtkRemotingViewsObjectFactory();

private:
  vtkRemotingViewsObjectFactory(const vtkRemotingViewsObjectFactory&) = delete;
  void operator=(const vtkRemotingViewsObjectFactory&) = delete;
};

#endif // vtkRemotingViewsObjectFactory_h
