/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkIOParallelNetCDFObjectFactory.cxx

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

// Object factories should never have deprecation warnings.
#define VTK_DEPRECATION_LEVEL 0

#include "vtkIOParallelNetCDFObjectFactory.h"
#include "vtkVersion.h"

// Include all of the classes we want to create overrides for.
#include "vtkPSLACReader.h"


vtkStandardNewMacro(vtkIOParallelNetCDFObjectFactory);

// Now create the functions to create overrides with.
VTK_CREATE_CREATE_FUNCTION(vtkPSLACReader)


vtkIOParallelNetCDFObjectFactory::vtkIOParallelNetCDFObjectFactory()
{
this->RegisterOverride("vtkSLACReader", "vtkPSLACReader", "Override for VTK::IOParallelNetCDF module", 1, vtkObjectFactoryCreatevtkPSLACReader);

}

const char * vtkIOParallelNetCDFObjectFactory::GetVTKSourceVersion()
{
  return VTK_SOURCE_VERSION;
}

void vtkIOParallelNetCDFObjectFactory::PrintSelf(ostream &os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os, indent);
}

// Registration of object factories.
static unsigned int vtkIOParallelNetCDFCount = 0;

VTKIOPARALLELNETCDF_EXPORT void vtkIOParallelNetCDF_AutoInit_Construct()
{
  if(++vtkIOParallelNetCDFCount == 1)
  {


    vtkIOParallelNetCDFObjectFactory* factory = vtkIOParallelNetCDFObjectFactory::New();
    if (factory)
    {
      // vtkObjectFactory keeps a reference to the "factory",
      vtkObjectFactory::RegisterFactory(factory);
      factory->Delete();
    }
  }
}
