/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkIOParallelNetCDFObjectFactory.h

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef vtkIOParallelNetCDFObjectFactory_h
#define vtkIOParallelNetCDFObjectFactory_h

#include "vtkIOParallelNetCDFModule.h" // For export macro
#include "vtkObjectFactory.h"

class VTKIOPARALLELNETCDF_EXPORT vtkIOParallelNetCDFObjectFactory : public vtkObjectFactory
{
public:
  static vtkIOParallelNetCDFObjectFactory * New();
  vtkTypeMacro(vtkIOParallelNetCDFObjectFactory, vtkObjectFactory);

  const char * GetDescription() override { return "vtkIOParallelNetCDF factory overrides."; }

  const char * GetVTKSourceVersion() override;

  void PrintSelf(ostream &os, vtkIndent indent) override;

protected:
  vtkIOParallelNetCDFObjectFactory();

private:
  vtkIOParallelNetCDFObjectFactory(const vtkIOParallelNetCDFObjectFactory&) = delete;
  void operator=(const vtkIOParallelNetCDFObjectFactory&) = delete;
};

#endif // vtkIOParallelNetCDFObjectFactory_h
